-- Top.vhd
--IMPORTANT-READ THESE TERMS CAREFULLY BEFORE UTILIZING THE INFORMATION CONTAINED IN THIS APPLICATION NOTE. 
--
--NO SUPPORT/NO WARRANTY.  
--THE DESIGN FILES AND DOCUMENTATION ARE PROVIDED WITHOUT SUPPORT OR WARRANTY OF ANY KIND.  
--ACTEL IS NOT OBLIGATED TO PROVIDE UPDATES, BUG FIXES, OR TECHNICAL SUPPORT AND DISCLAIMS ALL WARRANTIES INCLUDING, 
--WITHOUT LIMITATION, THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND WARRANTIES OF 
--NON-INFRINGEMENT OF THE RIGHTS OF THIRD PARTIES (INCLUDING, WITHOUT LIMITATION, RIGHTS UNDER PATENT, COPYRIGHT, 
--TRADE SECRET, OR OTHER INTELLECTUAL PROPERTY RIGHTS).  RECIPIENT ACCEPTS THE APPLICATION NOTE DESIGN FILES AND 
--DOCUMENTATION IN "AS-IS" CONDITION.

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
--use ieee.std_logic_arith.all;

entity Top is
port (SYS_CLK, SYS_RESET, INIT_POWER_UP: in std_logic;
      Volt1, Volt2, Volt3, Volt4, Volt5, Volt6: in std_logic;
      Volt7, Volt8, Volt9, Volt10, Volt11, Volt12: in std_logic;
      Volt13, Volt14, Volt15, Volt16, Volt17, Volt18: in std_logic; 
      VAREF: inout std_logic;
      RESULT_AV5V: out std_logic_vector(11 downto 0);
      RESULT_TEMP: out std_logic_vector(11 downto 0)
      );
end Top;

architecture RTL of Top is

-- internal signals
signal INIT_DONE_net: std_logic;
signal SYS_CLK_net: std_logic;
signal SYS_CLK_int: std_logic;
signal SYS_RESET_net: std_logic;
signal VAREF_net: std_logic;
signal Volt1_net: std_logic;
signal Volt2_net: std_logic;
signal Volt3_net: std_logic; 
signal Volt4_net: std_logic;
signal Volt5_net: std_logic;
signal Volt6_net: std_logic;
signal Volt7_net: std_logic;
signal Volt8_net: std_logic;
signal Volt9_net: std_logic;
signal Volt10_net: std_logic;
signal Volt11_net: std_logic;
signal Volt12_net: std_logic;
signal Volt13_net: std_logic;
signal Volt14_net: std_logic;
signal Volt15_net: std_logic;
signal Volt16_net: std_logic;
signal Volt17_net: std_logic;
signal Volt18_net: std_logic;

signal INIT_ADDR_net: std_logic_vector(8 downto 0);
signal INIT_DATA_net: std_logic_vector(8 downto 0);
signal INIT_ACM_WEN_net: std_logic;
signal INIT_ASSC_WEN_net: std_logic;
signal INIT_POWER_UP_net: std_logic;
signal CLK10M: std_logic;
signal count: std_logic_vector(1 downto 0);
signal ADC_RESULT_net: std_logic_vector(11 downto 0);
signal ADC_CHNUMBER_net: std_logic_vector(4 downto 0);
--signal ADC_TEMP: std_logic_vector(11 downto 0);
--signal ADC_AV5V: std_logic_vector(11 downto 0);
signal DATAVALID_net: std_logic;
signal ASSC_CHLATD_net: std_logic;
signal ASSC_SEQJUMP_net: std_logic;
signal ASSC_SEQCHANGE_net: std_logic;
signal ASSC_SEQOUT_net: std_logic_vector(5 downto 0); 
signal ASSC_SEQCNTR_net: std_logic_vector(5 downto 0);
signal ASSC_SEQINSEL_net: std_logic_vector(1 downto 0);
signal ASSC_SEQIN_net: std_logic_vector(5 downto 0);
signal jump_count: std_logic_vector(4 downto 0);      -- used to generate bit1 of ASSC Sequencer input select mux

component Analog_proc1 is
port(SYS_CLK, SYS_RESET : in std_logic; 
     VAREF : inout std_logic := 'Z'; DATAVALID : out std_logic; 
     Volt11, Volt1, Volt2, Volt3, Volt4, Volt5, Volt6, Volt7, Volt8, 
     Volt9, Volt10, Volt12, Volt13, Volt14, Volt15, Volt16, 
     Volt17, Volt18 : in std_logic; 
     ASSC_SEQIN : in std_logic_vector(5 downto 0); 
     ASSC_XMODE, ASSC_XTRIG, ASSC_SEQJUMP : in std_logic; 
     ASSC_DONE, ASSC_WAIT, ASSC_CHSAT, ASSC_CHLATD, ASSC_SEQCHANGE : out std_logic; 
     ASSC_SEQOUT : out std_logic_vector(5 downto 0); 
     ASSC_SAMPFLAG : out std_logic; INIT_ADDR : in std_logic_vector(8 downto 0); 
     INIT_DATA : in std_logic_vector(8 downto 0); 
     INIT_ACM_WEN, INIT_ASSC_WEN, INIT_DONE : in std_logic; 
     ADC_RESULT : out std_logic_vector(11 downto 0); 
     ADC_CHNUMBER : out std_logic_vector(4 downto 0); ACMCLK : in std_logic; 
     ACMRDATA_I : out std_logic_vector(7 downto 0)
     );
end component Analog_proc1;

component NVM_sysm is
port(INIT_CLK, SYS_RESET, INIT_POWER_UP : in std_logic; 
     INIT_DONE : out std_logic;
     INIT_DATA : out std_logic_vector(8 downto 0); 
     INIT_ADDR : out std_logic_vector(8 downto 0); 
     INIT_ACM_WEN, INIT_ASSC_WEN : out std_logic
     );
end component NVM_sysm;

begin

-- connections to top level ports
SYS_RESET_net <= SYS_RESET;
SYS_CLK_net <= SYS_CLK;
VAREF <= VAREF_net;
INIT_POWER_UP_net <= INIT_POWER_UP;

Volt1_net <= Volt1;
Volt2_net <= Volt2;
Volt3_net <= Volt3;
Volt4_net <= Volt4;
Volt5_net <= Volt5;
Volt6_net <= Volt6;
Volt7_net <= Volt7; 
Volt8_net <= Volt8;
Volt9_net <= Volt9;
Volt10_net <= Volt10;
Volt11_net <= Volt11;
Volt12_net <= Volt12;
Volt13_net <= Volt13;
Volt14_net <= Volt14; 
Volt15_net <= Volt15;
Volt16_net <= Volt16;
Volt17_net <= Volt17;
Volt18_net <= Volt18;

-- divide 40 MHz input clock by 4 to generate 10 MHz init clock
process (SYS_CLK_net, SYS_RESET_net)
begin
if (SYS_RESET_net = '0') then
  count <= (others => '0');
elsif (SYS_CLK_net'event and SYS_CLK_net= '1') then
  count <= count + 1;
end if;
end process;

CLK10M <= count(1);

-- multiplex CLK10M and SYS_CLK for initialization
SYS_CLK_int <= SYS_CLK_net when INIT_DONE_net = '1' else CLK10M;

-- process to generate ASSC_SEQJUMP input
process (SYS_CLK_net, SYS_RESET_net)
begin
if (SYS_RESET_net = '0') then
  ASSC_SEQJUMP_net <= '0';
elsif (SYS_CLK_net'event and SYS_CLK_net= '0') then
  if (ASSC_SEQCHANGE_net = '1') then
    case ASSC_SEQOUT_net is
      when "000010" => ASSC_SEQJUMP_net <= '1';
      when others => ASSC_SEQJUMP_net <= '0';
    end case;
  end if;
end if;
end process;

-- process to generate sequence counter for slow channels
process (SYS_CLK_net, SYS_RESET_net)
begin
if (SYS_RESET_net = '0') then
   ASSC_SEQCNTR_net <= "000110";                         -- asynchronous reset sets counter to 6
elsif (SYS_CLK_net'event and SYS_CLK_net= '0') then
  if (ASSC_SEQCHANGE_net = '1' and ASSC_SEQINSEL_net(1) = '0') then      -- don't increment when jump2 is executed
    if (ASSC_SEQCNTR_net = "010100") then
       ASSC_SEQCNTR_net <= "000111";                     -- reset counter to 7 when count = 20
    else
      case ASSC_SEQOUT_net is
        when "000100" => ASSC_SEQCNTR_net <= ASSC_SEQCNTR_net + 1;
        when others => ASSC_SEQCNTR_net <= ASSC_SEQCNTR_net;
      end case;
    end if;
  end if;
end if;
end process;

-- process to generate bit 0 of mux select for external sequence number
process (SYS_CLK_net, SYS_RESET_net)
begin
if (SYS_RESET_net = '0') then
   ASSC_SEQINSEL_net(0) <= '0';
elsif (SYS_CLK_net'event and SYS_CLK_net= '0') then
  if (ASSC_SEQCHANGE_net = '1' and ASSC_SEQJUMP_net = '1') then
    ASSC_SEQINSEL_net(0) <= not ASSC_SEQINSEL_net(0);
  end if;
end if;
end process;

-- process to generate bit 1 of mux select for external sequence number
process (SYS_CLK_net, SYS_RESET_net)
begin
if (SYS_RESET_net = '0') then
  jump_count <= "00001";
elsif (SYS_CLK_net'event and SYS_CLK_net= '0') then
  if (ASSC_SEQCHANGE_net = '1') then
      case ASSC_SEQOUT_net is
        when "000011" => jump_count <= jump_count + 1;    -- increment at end of Main procedure
        when others => jump_count <= jump_count;
      end case;
  end if;
end if;
end process;

ASSC_SEQINSEL_net(1) <= '1' when (jump_count = "00010" or jump_count = "10010") else '0';

-- generate external sequence number input
--ASSC_SEQIN_net <= ASSC_SEQCNTR_net when ASSC_SEQINSEL_net = '1' else "000100";
process (ASSC_SEQCNTR_net, ASSC_SEQINSEL_net)
begin
  case ASSC_SEQINSEL_net is
    when "00" => ASSC_SEQIN_net <= "000100";
    when "01" => ASSC_SEQIN_net <= ASSC_SEQCNTR_net;
    when others => ASSC_SEQIN_net <= "000101";
  end case;
end process;

-- instantiate Analog block
Analog_inst: Analog_proc1 port map
             (
              SYS_CLK => SYS_CLK_int, 
              SYS_RESET => SYS_RESET_net,
              VAREF => VAREF_net,
              DATAVALID => DATAVALID_net,
              Volt1 => Volt1_net, 
              Volt2 => Volt2_net,
              Volt3 => Volt3_net, 
              Volt4 => Volt4_net, 
              Volt5 => Volt5_net, 
              Volt6 => Volt6_net, 
              Volt7 => Volt7_net, 
              Volt8 => Volt8_net,
              Volt9 => Volt9_net, 
              Volt10 => Volt10_net, 
              Volt11 => Volt11_net, 
              Volt12 => Volt12_net,          
              Volt13 => Volt13_net, 
              Volt14 => Volt14_net, 
              Volt15 => Volt15_net, 
              Volt16 => Volt16_net, 
              Volt17 => Volt17_net, 
              Volt18 => Volt18_net, 
              ASSC_SEQIN => ASSC_SEQIN_net,
              ASSC_XMODE => '0', 
              ASSC_XTRIG => '0', 
              ASSC_SEQJUMP => ASSC_SEQJUMP_net,  
              ASSC_DONE => open,
              ASSC_WAIT => open,
              ASSC_CHSAT => open, 
              ASSC_CHLATD => ASSC_CHLATD_net, 
              ASSC_SEQCHANGE => ASSC_SEQCHANGE_net,
              ASSC_SEQOUT => ASSC_SEQOUT_net,
              ASSC_SAMPFLAG => open,
              INIT_ADDR => INIT_ADDR_net,
              INIT_DATA => INIT_DATA_net,
              INIT_ACM_WEN => INIT_ACM_WEN_net, 
              INIT_ASSC_WEN => INIT_ASSC_WEN_net,
              INIT_DONE => INIT_DONE_net, 
              ADC_RESULT => ADC_RESULT_net,
              ADC_CHNUMBER => ADC_CHNUMBER_net,
              ACMCLK => CLK10M, 
              ACMRDATA_I => open
              );

-- instantiate Flash Memory block
NVM_inst: NVM_sysm port map
             (              
              INIT_CLK => SYS_CLK_int,
              SYS_RESET => SYS_RESET_net,
              INIT_POWER_UP => INIT_POWER_UP_net,
              INIT_DONE => INIT_DONE_net,
              INIT_DATA => INIT_DATA_net, 
              INIT_ADDR => INIT_ADDR_net,
              INIT_ACM_WEN => INIT_ACM_WEN_net, 
              INIT_ASSC_WEN => INIT_ASSC_WEN_net                 
              );

end RTL;
