-- Version: 7.2 SP2 7.2.3.2

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity Analog2 is

    port(SYS_CLK, SYS_RESET : in std_logic; VAREF : inout
         std_logic := 'Z'; DATAVALID : out std_logic; Ia1con, 
        Ic2con, I28con, B_plus_con, Ta1, Tb2, Tboard, IsFcon, 
        AC_Bus_con, Ic1con, Ia2con, A28V_PORcon, FieldPWM_con, 
        Tb1, Ta2, A4Vrefcon, Equalizer_con, AC_current_con : in
         std_logic; ASSC_SEQIN : in std_logic_vector(5 downto 0); 
        ASSC_XMODE, ASSC_XTRIG, ASSC_SEQJUMP : in std_logic; 
        ASSC_DONE, ASSC_WAIT, ASSC_CHSAT, ASSC_CHLATD, 
        ASSC_SEQCHANGE : out std_logic; ASSC_SEQOUT : 
        out std_logic_vector(5 downto 0); ASSC_SAMPFLAG : out
         std_logic; INIT_ADDR : in std_logic_vector(8 downto 0); 
        INIT_DATA : in std_logic_vector(8 downto 0); INIT_ACM_WEN, 
        INIT_ASSC_WEN, INIT_DONE : in std_logic; ADC_RESULT : 
        out std_logic_vector(11 downto 0); ADC_CHNUMBER : 
        out std_logic_vector(4 downto 0); ACMCLK : in std_logic; 
        ACMRDATA_I : out std_logic_vector(7 downto 0));

end Analog2;

architecture DEF_ARCH of Analog2 is 

  component INBUF_A
    port(PAD : in std_logic := 'U'; Y : out std_logic);
  end component;

  component Analog2_assc_ram
    port(DATAA : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        ADDRESSA : 
        in std_logic_vector(8 downto 0) := (others => 'U'); RWA, 
        BLKA : in std_logic := 'U'; DATAB : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        ADDRESSB : 
        in std_logic_vector(8 downto 0) := (others => 'U'); RWB, 
        BLKB, CLOCK, RESET : in std_logic := 'U'; QA : 
        out std_logic_vector(8 downto 0); QB : 
        out std_logic_vector(8 downto 0));
  end component;

  component Analog2_assc_wrapper
    port(CLK, NRESET : in std_logic := 'U'; INIT_ADDR : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        INIT_ASSC_WR : in std_logic := 'U'; INIT_DI : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        INIT_DONE : in std_logic := 'U'; USER_ASSC_ADDR : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        USER_ASSC_RD : in std_logic := 'U'; EV_ASSC_ADDR : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        EV_ASSC_RD, EV_EVFLAG, EV_DONE, TR_TRFLAG, TR_DONE : in
         std_logic := 'U'; ASSC_SEQIN : 
        in std_logic_vector(5 downto 0) := (others => 'U'); 
        ASSC_RAM_DO_B : 
        in std_logic_vector(8 downto 0) := (others => 'U'); 
        ASSC_XMODE, ASSC_XTRIG, ASSC_SEQJUMP, ADC_CALIBRATE, 
        ADC_BUSY : in std_logic := 'U'; ADC_RESULT : 
        in std_logic_vector(11 downto 0) := (others => 'U'); 
        USER_ASSC_RAM_BUSY : out std_logic; ASSC_RAM_ADDR_A : 
        out std_logic_vector(8 downto 0); ASSC_RAM_RW_A, 
        ASSC_RAM_CSN_A : out std_logic; ASSC_RAM_DI_A : 
        out std_logic_vector(8 downto 0); ASSC_RAM_ADDR_B : 
        out std_logic_vector(8 downto 0); ASSC_RAM_RW_B, 
        ASSC_RAM_CSN_B : out std_logic; ASSC_RAM_DI_B : 
        out std_logic_vector(8 downto 0); ASSC_SEQOUT : 
        out std_logic_vector(5 downto 0); ASSC_SEQCHANGE, 
        ASSC_DONE, ASSC_WAIT, ASSC_SAMPFLAG, ASSC_CHSAT, 
        ASSC_CHLATD, ADC_START, ADC_PDOWN, ADC_RESET : out
         std_logic; ADC_MODE : out std_logic_vector(3 downto 0); 
        ADC_VREFSEL : out std_logic; ADC_CHNR : 
        out std_logic_vector(4 downto 0); ADC_STC : 
        out std_logic_vector(7 downto 0); ADC_DVC : 
        out std_logic_vector(7 downto 0); CM_STB : 
        out std_logic_vector(9 downto 0); TM_STB : 
        out std_logic_vector(10 downto 0); ASSC_RAM_WR_BUSY_B : 
        out std_logic);
  end component;

  component AB
    port(DAVOUT0, DACOUT0, DATOUT0, DAVOUT1, DACOUT1, DATOUT1, 
        DAVOUT2, DACOUT2, DATOUT2, DAVOUT3, DACOUT3, DATOUT3, 
        DAVOUT4, DACOUT4, DATOUT4, DAVOUT5, DACOUT5, DATOUT5, 
        DAVOUT6, DACOUT6, DATOUT6, DAVOUT7, DACOUT7, DATOUT7, 
        DAVOUT8, DACOUT8, DATOUT8, DAVOUT9, DACOUT9, DATOUT9 : 
        out std_logic; DENAV0, DENAC0, DENAT0, DENAV1, DENAC1, 
        DENAT1, DENAV2, DENAC2, DENAT2, DENAV3, DENAC3, DENAT3, 
        DENAV4, DENAC4, DENAT4, DENAV5, DENAC5, DENAT5, DENAV6, 
        DENAC6, DENAT6, DENAV7, DENAC7, DENAT7, DENAV8, DENAC8, 
        DENAT8, DENAV9, DENAC9, DENAT9, AV0, AC0, AT0 : in
         std_logic := 'U'; AG0 : out std_logic; AV1, AC1, AT1 : 
        in std_logic := 'U'; AG1 : out std_logic; AV2, AC2, AT2 : 
        in std_logic := 'U'; AG2 : out std_logic; AV3, AC3, AT3 : 
        in std_logic := 'U'; AG3 : out std_logic; AV4, AC4, AT4 : 
        in std_logic := 'U'; AG4 : out std_logic; AV5, AC5, AT5 : 
        in std_logic := 'U'; AG5 : out std_logic; AV6, AC6, AT6 : 
        in std_logic := 'U'; AG6 : out std_logic; AV7, AC7, AT7 : 
        in std_logic := 'U'; AG7 : out std_logic; AV8, AC8, AT8 : 
        in std_logic := 'U'; AG8 : out std_logic; AV9, AC9, AT9 : 
        in std_logic := 'U'; AG9 : out std_logic; ATRETURN01, 
        ATRETURN23, ATRETURN45, ATRETURN67, ATRETURN89 : in
         std_logic := 'U'; VAREF : inout std_logic; GNDREF, GDON0, 
        GDON1, GDON2, GDON3, GDON4, GDON5, GDON6, GDON7, GDON8, 
        GDON9, CMSTB0, CMSTB1, CMSTB2, CMSTB3, CMSTB4, CMSTB5, 
        CMSTB6, CMSTB7, CMSTB8, CMSTB9, TMSTB0, TMSTB1, TMSTB2, 
        TMSTB3, TMSTB4, TMSTB5, TMSTB6, TMSTB7, TMSTB8, TMSTB9, 
        TMSTBINT : in std_logic := 'U'; RESULT : 
        out std_logic_vector(11 downto 0); ACMRDATA : 
        out std_logic_vector(7 downto 0); ACMWDATA : 
        in std_logic_vector(7 downto 0) := (others => 'U'); 
        ACMADDR : 
        in std_logic_vector(7 downto 0) := (others => 'U'); STC
         : in std_logic_vector(7 downto 0) := (others => 'U'); 
        TVC : in std_logic_vector(7 downto 0) := (others => 'U'); 
        CHNUMBER : 
        in std_logic_vector(4 downto 0) := (others => 'U'); MODE
         : in std_logic_vector(3 downto 0) := (others => 'U'); 
        RTCXTLMODE : out std_logic_vector(1 downto 0); ACMRESET, 
        ACMCLK, ACMWEN, VAREFSEL : in std_logic := 'U'; DATAVALID, 
        CALIBRATE, SAMPLE, BUSY : out std_logic; PWRDWN, SYSCLK, 
        ADCRESET, ADCSTART : in std_logic := 'U'; RTCMATCH, 
        RTCPSMMATCH, RTCXTLSEL : out std_logic; RTCCLK : in
         std_logic := 'U');
  end component;

  component OR2
    port(A, B : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic); 
  end component;

  component VCC
    port(Y : out std_logic); 
  end component;

    signal GND_net, VCC_net, ASSC_RAM_RW_A_net, 
        ASSC_RAM_CSN_A_net : std_logic;
    signal ASSC_RAM_DI_A_net : std_logic_vector(8 downto 0);
    signal \ASSC_RAM_DI_A_net\, ASSC_RAM_DI_A_net_net_1, 
        ASSC_RAM_DI_A_net_net_2, ASSC_RAM_DI_A_net_net_3, 
        ASSC_RAM_DI_A_net_net_4, ASSC_RAM_DI_A_net_net_5, 
        ASSC_RAM_DI_A_net_net_6, ASSC_RAM_DI_A_net_net_7
         : std_logic;
    signal ASSC_RAM_ADDR_A_net : std_logic_vector(8 downto 0);
    signal \ASSC_RAM_ADDR_A_net\, ASSC_RAM_ADDR_A_net_net_1, 
        ASSC_RAM_ADDR_A_net_net_2, ASSC_RAM_ADDR_A_net_net_3, 
        ASSC_RAM_ADDR_A_net_net_4, ASSC_RAM_ADDR_A_net_net_5, 
        ASSC_RAM_ADDR_A_net_net_6, ASSC_RAM_ADDR_A_net_net_7, 
        ASSC_RAM_RW_B_net, ASSC_RAM_CSN_B_net : std_logic;
    signal ASSC_RAM_DI_B_net : std_logic_vector(8 downto 0);
    signal \ASSC_RAM_DI_B_net\, ASSC_RAM_DI_B_net_net_1, 
        ASSC_RAM_DI_B_net_net_2, ASSC_RAM_DI_B_net_net_3, 
        ASSC_RAM_DI_B_net_net_4, ASSC_RAM_DI_B_net_net_5, 
        ASSC_RAM_DI_B_net_net_6, ASSC_RAM_DI_B_net_net_7
         : std_logic;
    signal ASSC_RAM_ADDR_B_net : std_logic_vector(8 downto 0);
    signal \ASSC_RAM_ADDR_B_net\, ASSC_RAM_ADDR_B_net_net_1, 
        ASSC_RAM_ADDR_B_net_net_2, ASSC_RAM_ADDR_B_net_net_3, 
        ASSC_RAM_ADDR_B_net_net_4, ASSC_RAM_ADDR_B_net_net_5, 
        ASSC_RAM_ADDR_B_net_net_6, ASSC_RAM_ADDR_B_net_net_7
         : std_logic;
    signal ASSC_RAM_DO_B_net : std_logic_vector(8 downto 0);
    signal \ASSC_RAM_DO_B_net\, ASSC_RAM_DO_B_net_net_1, 
        ASSC_RAM_DO_B_net_net_2, ASSC_RAM_DO_B_net_net_3, 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B_net_net_5, 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B_net_net_7, 
        ADC_START_net, ADC_PDOWN_net, ADC_RESET_net : std_logic;
    signal ADC_MODE_net : std_logic_vector(3 downto 0);
    signal \ADC_MODE_net\, ADC_MODE_net_net_1, ADC_MODE_net_net_2, 
        ADC_VREFSEL_net, \ADC_CHNR_net[4]_net_1\, 
        \ADC_CHNR_net[3]_net_1\, \ADC_CHNR_net[2]_net_1\, 
        \ADC_CHNR_net[1]_net_1\, \ADC_CHNR_net[0]_net_1\
         : std_logic;
    signal ADC_STC_net : std_logic_vector(7 downto 0);
    signal \ADC_STC_net\, ADC_STC_net_net_1, ADC_STC_net_net_2, 
        ADC_STC_net_net_3, ADC_STC_net_net_4, ADC_STC_net_net_5, 
        ADC_STC_net_net_6 : std_logic;
    signal ADC_TVC_net : std_logic_vector(7 downto 0);
    signal \ADC_TVC_net\, ADC_TVC_net_net_1, ADC_TVC_net_net_2, 
        ADC_TVC_net_net_3, ADC_TVC_net_net_4, ADC_TVC_net_net_5, 
        ADC_TVC_net_net_6, ADC_CALIBRATE_net, ADC_BUSY_net, 
        \ADC_RESULT_net[11]_net_1\, \ADC_RESULT_net[10]_net_1\, 
        \ADC_RESULT_net[9]_net_1\, \ADC_RESULT_net[8]_net_1\, 
        \ADC_RESULT_net[7]_net_1\, \ADC_RESULT_net[6]_net_1\, 
        \ADC_RESULT_net[5]_net_1\, \ADC_RESULT_net[4]_net_1\, 
        \ADC_RESULT_net[3]_net_1\, \ADC_RESULT_net[2]_net_1\, 
        \ADC_RESULT_net[1]_net_1\, \ADC_RESULT_net[0]_net_1\, 
        CM_STB_net_0, CM_STB_net_1, CM_STB_net_2, CM_STB_net_3, 
        CM_STB_net_4, CM_STB_net_5, CM_STB_net_6, CM_STB_net_7, 
        CM_STB_net_8, CM_STB_net_9, TM_STB_net_0, TM_STB_net_1, 
        TM_STB_net_2, TM_STB_net_3, TM_STB_net_4, TM_STB_net_5, 
        TM_STB_net_6, TM_STB_net_7, TM_STB_net_8, TM_STB_net_9, 
        TM_STB_net_10, INIT_ACM_WEN_OR_net, AV0_net, AV1_net, 
        AV2_net, AV3_net, AV4_net, AV5_net, AV6_net, AV7_net, 
        AV8_net, AC0_net, AC1_net, AC2_net, AC3_net, AC4_net, 
        AC5_net, AC6_net, AC7_net, AC8_net : std_logic;
    signal GND_power_net1 : std_logic;
    signal VCC_power_net1 : std_logic;
    signal nc7, nc6, nc5, nc1, nc9, nc8, nc4, nc11, nc3, nc10, 
        nc2 : std_logic;

begin 

    ADC_RESULT(11) <= \ADC_RESULT_net[11]_net_1\;
    ADC_RESULT(10) <= \ADC_RESULT_net[10]_net_1\;
    ADC_RESULT(9) <= \ADC_RESULT_net[9]_net_1\;
    ADC_RESULT(8) <= \ADC_RESULT_net[8]_net_1\;
    ADC_RESULT(7) <= \ADC_RESULT_net[7]_net_1\;
    ADC_RESULT(6) <= \ADC_RESULT_net[6]_net_1\;
    ADC_RESULT(5) <= \ADC_RESULT_net[5]_net_1\;
    ADC_RESULT(4) <= \ADC_RESULT_net[4]_net_1\;
    ADC_RESULT(3) <= \ADC_RESULT_net[3]_net_1\;
    ADC_RESULT(2) <= \ADC_RESULT_net[2]_net_1\;
    ADC_RESULT(1) <= \ADC_RESULT_net[1]_net_1\;
    ADC_RESULT(0) <= \ADC_RESULT_net[0]_net_1\;
    ADC_CHNUMBER(4) <= \ADC_CHNR_net[4]_net_1\;
    ADC_CHNUMBER(3) <= \ADC_CHNR_net[3]_net_1\;
    ADC_CHNUMBER(2) <= \ADC_CHNR_net[2]_net_1\;
    ADC_CHNUMBER(1) <= \ADC_CHNR_net[1]_net_1\;
    ADC_CHNUMBER(0) <= \ADC_CHNR_net[0]_net_1\;
    GND_net <= GND_power_net1;
    VCC_net <= VCC_power_net1;

    AV5_PAD : INBUF_A
      port map(PAD => Tb2, Y => AV5_net);
    
    AC5_PAD : INBUF_A
      port map(PAD => Ta2, Y => AC5_net);
    
    AV8_PAD : INBUF_A
      port map(PAD => AC_Bus_con, Y => AV8_net);
    
    AC8_PAD : INBUF_A
      port map(PAD => AC_current_con, Y => AC8_net);
    
    AV6_PAD : INBUF_A
      port map(PAD => Tboard, Y => AV6_net);
    
    Analog2_assc_ram_inst : Analog2_assc_ram
      port map(DATAA(8) => ASSC_RAM_DI_A_net(8), DATAA(7) => 
        \ASSC_RAM_DI_A_net\, DATAA(6) => ASSC_RAM_DI_A_net_net_1, 
        DATAA(5) => ASSC_RAM_DI_A_net_net_2, DATAA(4) => 
        ASSC_RAM_DI_A_net_net_3, DATAA(3) => 
        ASSC_RAM_DI_A_net_net_4, DATAA(2) => 
        ASSC_RAM_DI_A_net_net_5, DATAA(1) => 
        ASSC_RAM_DI_A_net_net_6, DATAA(0) => 
        ASSC_RAM_DI_A_net_net_7, ADDRESSA(8) => 
        ASSC_RAM_ADDR_A_net(8), ADDRESSA(7) => 
        \ASSC_RAM_ADDR_A_net\, ADDRESSA(6) => 
        ASSC_RAM_ADDR_A_net_net_1, ADDRESSA(5) => 
        ASSC_RAM_ADDR_A_net_net_2, ADDRESSA(4) => 
        ASSC_RAM_ADDR_A_net_net_3, ADDRESSA(3) => 
        ASSC_RAM_ADDR_A_net_net_4, ADDRESSA(2) => 
        ASSC_RAM_ADDR_A_net_net_5, ADDRESSA(1) => 
        ASSC_RAM_ADDR_A_net_net_6, ADDRESSA(0) => 
        ASSC_RAM_ADDR_A_net_net_7, RWA => ASSC_RAM_RW_A_net, BLKA
         => ASSC_RAM_CSN_A_net, DATAB(8) => ASSC_RAM_DI_B_net(8), 
        DATAB(7) => \ASSC_RAM_DI_B_net\, DATAB(6) => 
        ASSC_RAM_DI_B_net_net_1, DATAB(5) => 
        ASSC_RAM_DI_B_net_net_2, DATAB(4) => 
        ASSC_RAM_DI_B_net_net_3, DATAB(3) => 
        ASSC_RAM_DI_B_net_net_4, DATAB(2) => 
        ASSC_RAM_DI_B_net_net_5, DATAB(1) => 
        ASSC_RAM_DI_B_net_net_6, DATAB(0) => 
        ASSC_RAM_DI_B_net_net_7, ADDRESSB(8) => 
        ASSC_RAM_ADDR_B_net(8), ADDRESSB(7) => 
        \ASSC_RAM_ADDR_B_net\, ADDRESSB(6) => 
        ASSC_RAM_ADDR_B_net_net_1, ADDRESSB(5) => 
        ASSC_RAM_ADDR_B_net_net_2, ADDRESSB(4) => 
        ASSC_RAM_ADDR_B_net_net_3, ADDRESSB(3) => 
        ASSC_RAM_ADDR_B_net_net_4, ADDRESSB(2) => 
        ASSC_RAM_ADDR_B_net_net_5, ADDRESSB(1) => 
        ASSC_RAM_ADDR_B_net_net_6, ADDRESSB(0) => 
        ASSC_RAM_ADDR_B_net_net_7, RWB => ASSC_RAM_RW_B_net, BLKB
         => ASSC_RAM_CSN_B_net, CLOCK => SYS_CLK, RESET => 
        SYS_RESET, QA(8) => nc7, QA(7) => nc6, QA(6) => nc5, 
        QA(5) => nc1, QA(4) => nc9, QA(3) => nc8, QA(2) => nc4, 
        QA(1) => nc11, QA(0) => nc3, QB(8) => 
        ASSC_RAM_DO_B_net(8), QB(7) => \ASSC_RAM_DO_B_net\, QB(6)
         => ASSC_RAM_DO_B_net_net_1, QB(5) => 
        ASSC_RAM_DO_B_net_net_2, QB(4) => ASSC_RAM_DO_B_net_net_3, 
        QB(3) => ASSC_RAM_DO_B_net_net_4, QB(2) => 
        ASSC_RAM_DO_B_net_net_5, QB(1) => ASSC_RAM_DO_B_net_net_6, 
        QB(0) => ASSC_RAM_DO_B_net_net_7);
    
    AC6_PAD : INBUF_A
      port map(PAD => A4Vrefcon, Y => AC6_net);
    
    AV3_PAD : INBUF_A
      port map(PAD => B_plus_con, Y => AV3_net);
    
    AC3_PAD : INBUF_A
      port map(PAD => FieldPWM_con, Y => AC3_net);
    
    AV1_PAD : INBUF_A
      port map(PAD => Ic2con, Y => AV1_net);
    
    Analog2_assc_wrapper_inst : Analog2_assc_wrapper
      port map(CLK => SYS_CLK, NRESET => SYS_RESET, INIT_ADDR(8)
         => INIT_ADDR(8), INIT_ADDR(7) => INIT_ADDR(7), 
        INIT_ADDR(6) => INIT_ADDR(6), INIT_ADDR(5) => 
        INIT_ADDR(5), INIT_ADDR(4) => INIT_ADDR(4), INIT_ADDR(3)
         => INIT_ADDR(3), INIT_ADDR(2) => INIT_ADDR(2), 
        INIT_ADDR(1) => INIT_ADDR(1), INIT_ADDR(0) => 
        INIT_ADDR(0), INIT_ASSC_WR => INIT_ASSC_WEN, INIT_DI(8)
         => INIT_DATA(8), INIT_DI(7) => INIT_DATA(7), INIT_DI(6)
         => INIT_DATA(6), INIT_DI(5) => INIT_DATA(5), INIT_DI(4)
         => INIT_DATA(4), INIT_DI(3) => INIT_DATA(3), INIT_DI(2)
         => INIT_DATA(2), INIT_DI(1) => INIT_DATA(1), INIT_DI(0)
         => INIT_DATA(0), INIT_DONE => INIT_DONE, 
        USER_ASSC_ADDR(8) => GND_net, USER_ASSC_ADDR(7) => 
        GND_net, USER_ASSC_ADDR(6) => GND_net, USER_ASSC_ADDR(5)
         => GND_net, USER_ASSC_ADDR(4) => GND_net, 
        USER_ASSC_ADDR(3) => GND_net, USER_ASSC_ADDR(2) => 
        GND_net, USER_ASSC_ADDR(1) => GND_net, USER_ASSC_ADDR(0)
         => GND_net, USER_ASSC_RD => GND_net, EV_ASSC_ADDR(8) => 
        GND_net, EV_ASSC_ADDR(7) => GND_net, EV_ASSC_ADDR(6) => 
        GND_net, EV_ASSC_ADDR(5) => GND_net, EV_ASSC_ADDR(4) => 
        GND_net, EV_ASSC_ADDR(3) => GND_net, EV_ASSC_ADDR(2) => 
        GND_net, EV_ASSC_ADDR(1) => GND_net, EV_ASSC_ADDR(0) => 
        GND_net, EV_ASSC_RD => GND_net, EV_EVFLAG => GND_net, 
        EV_DONE => GND_net, TR_TRFLAG => GND_net, TR_DONE => 
        GND_net, ASSC_SEQIN(5) => ASSC_SEQIN(5), ASSC_SEQIN(4)
         => ASSC_SEQIN(4), ASSC_SEQIN(3) => ASSC_SEQIN(3), 
        ASSC_SEQIN(2) => ASSC_SEQIN(2), ASSC_SEQIN(1) => 
        ASSC_SEQIN(1), ASSC_SEQIN(0) => ASSC_SEQIN(0), 
        ASSC_RAM_DO_B(8) => ASSC_RAM_DO_B_net(8), 
        ASSC_RAM_DO_B(7) => \ASSC_RAM_DO_B_net\, ASSC_RAM_DO_B(6)
         => ASSC_RAM_DO_B_net_net_1, ASSC_RAM_DO_B(5) => 
        ASSC_RAM_DO_B_net_net_2, ASSC_RAM_DO_B(4) => 
        ASSC_RAM_DO_B_net_net_3, ASSC_RAM_DO_B(3) => 
        ASSC_RAM_DO_B_net_net_4, ASSC_RAM_DO_B(2) => 
        ASSC_RAM_DO_B_net_net_5, ASSC_RAM_DO_B(1) => 
        ASSC_RAM_DO_B_net_net_6, ASSC_RAM_DO_B(0) => 
        ASSC_RAM_DO_B_net_net_7, ASSC_XMODE => ASSC_XMODE, 
        ASSC_XTRIG => ASSC_XTRIG, ASSC_SEQJUMP => ASSC_SEQJUMP, 
        ADC_CALIBRATE => ADC_CALIBRATE_net, ADC_BUSY => 
        ADC_BUSY_net, ADC_RESULT(11) => 
        \ADC_RESULT_net[11]_net_1\, ADC_RESULT(10) => 
        \ADC_RESULT_net[10]_net_1\, ADC_RESULT(9) => 
        \ADC_RESULT_net[9]_net_1\, ADC_RESULT(8) => 
        \ADC_RESULT_net[8]_net_1\, ADC_RESULT(7) => 
        \ADC_RESULT_net[7]_net_1\, ADC_RESULT(6) => 
        \ADC_RESULT_net[6]_net_1\, ADC_RESULT(5) => 
        \ADC_RESULT_net[5]_net_1\, ADC_RESULT(4) => 
        \ADC_RESULT_net[4]_net_1\, ADC_RESULT(3) => 
        \ADC_RESULT_net[3]_net_1\, ADC_RESULT(2) => 
        \ADC_RESULT_net[2]_net_1\, ADC_RESULT(1) => 
        \ADC_RESULT_net[1]_net_1\, ADC_RESULT(0) => 
        \ADC_RESULT_net[0]_net_1\, USER_ASSC_RAM_BUSY => OPEN, 
        ASSC_RAM_ADDR_A(8) => ASSC_RAM_ADDR_A_net(8), 
        ASSC_RAM_ADDR_A(7) => \ASSC_RAM_ADDR_A_net\, 
        ASSC_RAM_ADDR_A(6) => ASSC_RAM_ADDR_A_net_net_1, 
        ASSC_RAM_ADDR_A(5) => ASSC_RAM_ADDR_A_net_net_2, 
        ASSC_RAM_ADDR_A(4) => ASSC_RAM_ADDR_A_net_net_3, 
        ASSC_RAM_ADDR_A(3) => ASSC_RAM_ADDR_A_net_net_4, 
        ASSC_RAM_ADDR_A(2) => ASSC_RAM_ADDR_A_net_net_5, 
        ASSC_RAM_ADDR_A(1) => ASSC_RAM_ADDR_A_net_net_6, 
        ASSC_RAM_ADDR_A(0) => ASSC_RAM_ADDR_A_net_net_7, 
        ASSC_RAM_RW_A => ASSC_RAM_RW_A_net, ASSC_RAM_CSN_A => 
        ASSC_RAM_CSN_A_net, ASSC_RAM_DI_A(8) => 
        ASSC_RAM_DI_A_net(8), ASSC_RAM_DI_A(7) => 
        \ASSC_RAM_DI_A_net\, ASSC_RAM_DI_A(6) => 
        ASSC_RAM_DI_A_net_net_1, ASSC_RAM_DI_A(5) => 
        ASSC_RAM_DI_A_net_net_2, ASSC_RAM_DI_A(4) => 
        ASSC_RAM_DI_A_net_net_3, ASSC_RAM_DI_A(3) => 
        ASSC_RAM_DI_A_net_net_4, ASSC_RAM_DI_A(2) => 
        ASSC_RAM_DI_A_net_net_5, ASSC_RAM_DI_A(1) => 
        ASSC_RAM_DI_A_net_net_6, ASSC_RAM_DI_A(0) => 
        ASSC_RAM_DI_A_net_net_7, ASSC_RAM_ADDR_B(8) => 
        ASSC_RAM_ADDR_B_net(8), ASSC_RAM_ADDR_B(7) => 
        \ASSC_RAM_ADDR_B_net\, ASSC_RAM_ADDR_B(6) => 
        ASSC_RAM_ADDR_B_net_net_1, ASSC_RAM_ADDR_B(5) => 
        ASSC_RAM_ADDR_B_net_net_2, ASSC_RAM_ADDR_B(4) => 
        ASSC_RAM_ADDR_B_net_net_3, ASSC_RAM_ADDR_B(3) => 
        ASSC_RAM_ADDR_B_net_net_4, ASSC_RAM_ADDR_B(2) => 
        ASSC_RAM_ADDR_B_net_net_5, ASSC_RAM_ADDR_B(1) => 
        ASSC_RAM_ADDR_B_net_net_6, ASSC_RAM_ADDR_B(0) => 
        ASSC_RAM_ADDR_B_net_net_7, ASSC_RAM_RW_B => 
        ASSC_RAM_RW_B_net, ASSC_RAM_CSN_B => ASSC_RAM_CSN_B_net, 
        ASSC_RAM_DI_B(8) => ASSC_RAM_DI_B_net(8), 
        ASSC_RAM_DI_B(7) => \ASSC_RAM_DI_B_net\, ASSC_RAM_DI_B(6)
         => ASSC_RAM_DI_B_net_net_1, ASSC_RAM_DI_B(5) => 
        ASSC_RAM_DI_B_net_net_2, ASSC_RAM_DI_B(4) => 
        ASSC_RAM_DI_B_net_net_3, ASSC_RAM_DI_B(3) => 
        ASSC_RAM_DI_B_net_net_4, ASSC_RAM_DI_B(2) => 
        ASSC_RAM_DI_B_net_net_5, ASSC_RAM_DI_B(1) => 
        ASSC_RAM_DI_B_net_net_6, ASSC_RAM_DI_B(0) => 
        ASSC_RAM_DI_B_net_net_7, ASSC_SEQOUT(5) => ASSC_SEQOUT(5), 
        ASSC_SEQOUT(4) => ASSC_SEQOUT(4), ASSC_SEQOUT(3) => 
        ASSC_SEQOUT(3), ASSC_SEQOUT(2) => ASSC_SEQOUT(2), 
        ASSC_SEQOUT(1) => ASSC_SEQOUT(1), ASSC_SEQOUT(0) => 
        ASSC_SEQOUT(0), ASSC_SEQCHANGE => ASSC_SEQCHANGE, 
        ASSC_DONE => ASSC_DONE, ASSC_WAIT => ASSC_WAIT, 
        ASSC_SAMPFLAG => ASSC_SAMPFLAG, ASSC_CHSAT => ASSC_CHSAT, 
        ASSC_CHLATD => ASSC_CHLATD, ADC_START => ADC_START_net, 
        ADC_PDOWN => ADC_PDOWN_net, ADC_RESET => ADC_RESET_net, 
        ADC_MODE(3) => ADC_MODE_net(3), ADC_MODE(2) => 
        \ADC_MODE_net\, ADC_MODE(1) => ADC_MODE_net_net_1, 
        ADC_MODE(0) => ADC_MODE_net_net_2, ADC_VREFSEL => 
        ADC_VREFSEL_net, ADC_CHNR(4) => \ADC_CHNR_net[4]_net_1\, 
        ADC_CHNR(3) => \ADC_CHNR_net[3]_net_1\, ADC_CHNR(2) => 
        \ADC_CHNR_net[2]_net_1\, ADC_CHNR(1) => 
        \ADC_CHNR_net[1]_net_1\, ADC_CHNR(0) => 
        \ADC_CHNR_net[0]_net_1\, ADC_STC(7) => ADC_STC_net(7), 
        ADC_STC(6) => \ADC_STC_net\, ADC_STC(5) => 
        ADC_STC_net_net_1, ADC_STC(4) => ADC_STC_net_net_2, 
        ADC_STC(3) => ADC_STC_net_net_3, ADC_STC(2) => 
        ADC_STC_net_net_4, ADC_STC(1) => ADC_STC_net_net_5, 
        ADC_STC(0) => ADC_STC_net_net_6, ADC_DVC(7) => 
        ADC_TVC_net(7), ADC_DVC(6) => \ADC_TVC_net\, ADC_DVC(5)
         => ADC_TVC_net_net_1, ADC_DVC(4) => ADC_TVC_net_net_2, 
        ADC_DVC(3) => ADC_TVC_net_net_3, ADC_DVC(2) => 
        ADC_TVC_net_net_4, ADC_DVC(1) => ADC_TVC_net_net_5, 
        ADC_DVC(0) => ADC_TVC_net_net_6, CM_STB(9) => 
        CM_STB_net_9, CM_STB(8) => CM_STB_net_8, CM_STB(7) => 
        CM_STB_net_7, CM_STB(6) => CM_STB_net_6, CM_STB(5) => 
        CM_STB_net_5, CM_STB(4) => CM_STB_net_4, CM_STB(3) => 
        CM_STB_net_3, CM_STB(2) => CM_STB_net_2, CM_STB(1) => 
        CM_STB_net_1, CM_STB(0) => CM_STB_net_0, TM_STB(10) => 
        TM_STB_net_10, TM_STB(9) => TM_STB_net_9, TM_STB(8) => 
        TM_STB_net_8, TM_STB(7) => TM_STB_net_7, TM_STB(6) => 
        TM_STB_net_6, TM_STB(5) => TM_STB_net_5, TM_STB(4) => 
        TM_STB_net_4, TM_STB(3) => TM_STB_net_3, TM_STB(2) => 
        TM_STB_net_2, TM_STB(1) => TM_STB_net_1, TM_STB(0) => 
        TM_STB_net_0, ASSC_RAM_WR_BUSY_B => OPEN);
    
    AC1_PAD : INBUF_A
      port map(PAD => Ia2con, Y => AC1_net);
    
    AB_INST : AB
      port map(DAVOUT0 => OPEN, DACOUT0 => OPEN, DATOUT0 => OPEN, 
        DAVOUT1 => OPEN, DACOUT1 => OPEN, DATOUT1 => OPEN, 
        DAVOUT2 => OPEN, DACOUT2 => OPEN, DATOUT2 => OPEN, 
        DAVOUT3 => OPEN, DACOUT3 => OPEN, DATOUT3 => OPEN, 
        DAVOUT4 => OPEN, DACOUT4 => OPEN, DATOUT4 => OPEN, 
        DAVOUT5 => OPEN, DACOUT5 => OPEN, DATOUT5 => OPEN, 
        DAVOUT6 => OPEN, DACOUT6 => OPEN, DATOUT6 => OPEN, 
        DAVOUT7 => OPEN, DACOUT7 => OPEN, DATOUT7 => OPEN, 
        DAVOUT8 => OPEN, DACOUT8 => OPEN, DATOUT8 => OPEN, 
        DAVOUT9 => OPEN, DACOUT9 => OPEN, DATOUT9 => OPEN, DENAV0
         => GND_net, DENAC0 => GND_net, DENAT0 => GND_net, DENAV1
         => GND_net, DENAC1 => GND_net, DENAT1 => GND_net, DENAV2
         => GND_net, DENAC2 => GND_net, DENAT2 => GND_net, DENAV3
         => GND_net, DENAC3 => GND_net, DENAT3 => GND_net, DENAV4
         => GND_net, DENAC4 => GND_net, DENAT4 => GND_net, DENAV5
         => GND_net, DENAC5 => GND_net, DENAT5 => GND_net, DENAV6
         => GND_net, DENAC6 => GND_net, DENAT6 => GND_net, DENAV7
         => GND_net, DENAC7 => GND_net, DENAT7 => GND_net, DENAV8
         => GND_net, DENAC8 => GND_net, DENAT8 => GND_net, DENAV9
         => GND_net, DENAC9 => GND_net, DENAT9 => GND_net, AV0
         => AV0_net, AC0 => AC0_net, AT0 => GND_net, AG0 => OPEN, 
        AV1 => AV1_net, AC1 => AC1_net, AT1 => GND_net, AG1 => 
        OPEN, AV2 => AV2_net, AC2 => AC2_net, AT2 => GND_net, AG2
         => OPEN, AV3 => AV3_net, AC3 => AC3_net, AT3 => GND_net, 
        AG3 => OPEN, AV4 => AV4_net, AC4 => AC4_net, AT4 => 
        GND_net, AG4 => OPEN, AV5 => AV5_net, AC5 => AC5_net, AT5
         => GND_net, AG5 => OPEN, AV6 => AV6_net, AC6 => AC6_net, 
        AT6 => GND_net, AG6 => OPEN, AV7 => AV7_net, AC7 => 
        AC7_net, AT7 => GND_net, AG7 => OPEN, AV8 => AV8_net, AC8
         => AC8_net, AT8 => GND_net, AG8 => OPEN, AV9 => GND_net, 
        AC9 => GND_net, AT9 => GND_net, AG9 => OPEN, ATRETURN01
         => GND_net, ATRETURN23 => GND_net, ATRETURN45 => GND_net, 
        ATRETURN67 => GND_net, ATRETURN89 => GND_net, VAREF => 
        VAREF, GNDREF => GND_net, GDON0 => GND_net, GDON1 => 
        GND_net, GDON2 => GND_net, GDON3 => GND_net, GDON4 => 
        GND_net, GDON5 => GND_net, GDON6 => GND_net, GDON7 => 
        GND_net, GDON8 => GND_net, GDON9 => GND_net, CMSTB0 => 
        CM_STB_net_0, CMSTB1 => CM_STB_net_1, CMSTB2 => 
        CM_STB_net_2, CMSTB3 => CM_STB_net_3, CMSTB4 => 
        CM_STB_net_4, CMSTB5 => CM_STB_net_5, CMSTB6 => 
        CM_STB_net_6, CMSTB7 => CM_STB_net_7, CMSTB8 => 
        CM_STB_net_8, CMSTB9 => CM_STB_net_9, TMSTB0 => 
        TM_STB_net_0, TMSTB1 => TM_STB_net_1, TMSTB2 => 
        TM_STB_net_2, TMSTB3 => TM_STB_net_3, TMSTB4 => 
        TM_STB_net_4, TMSTB5 => TM_STB_net_5, TMSTB6 => 
        TM_STB_net_6, TMSTB7 => TM_STB_net_7, TMSTB8 => 
        TM_STB_net_8, TMSTB9 => TM_STB_net_9, TMSTBINT => 
        TM_STB_net_10, RESULT(11) => \ADC_RESULT_net[11]_net_1\, 
        RESULT(10) => \ADC_RESULT_net[10]_net_1\, RESULT(9) => 
        \ADC_RESULT_net[9]_net_1\, RESULT(8) => 
        \ADC_RESULT_net[8]_net_1\, RESULT(7) => 
        \ADC_RESULT_net[7]_net_1\, RESULT(6) => 
        \ADC_RESULT_net[6]_net_1\, RESULT(5) => 
        \ADC_RESULT_net[5]_net_1\, RESULT(4) => 
        \ADC_RESULT_net[4]_net_1\, RESULT(3) => 
        \ADC_RESULT_net[3]_net_1\, RESULT(2) => 
        \ADC_RESULT_net[2]_net_1\, RESULT(1) => 
        \ADC_RESULT_net[1]_net_1\, RESULT(0) => 
        \ADC_RESULT_net[0]_net_1\, ACMRDATA(7) => ACMRDATA_I(7), 
        ACMRDATA(6) => ACMRDATA_I(6), ACMRDATA(5) => 
        ACMRDATA_I(5), ACMRDATA(4) => ACMRDATA_I(4), ACMRDATA(3)
         => ACMRDATA_I(3), ACMRDATA(2) => ACMRDATA_I(2), 
        ACMRDATA(1) => ACMRDATA_I(1), ACMRDATA(0) => 
        ACMRDATA_I(0), ACMWDATA(7) => INIT_DATA(7), ACMWDATA(6)
         => INIT_DATA(6), ACMWDATA(5) => INIT_DATA(5), 
        ACMWDATA(4) => INIT_DATA(4), ACMWDATA(3) => INIT_DATA(3), 
        ACMWDATA(2) => INIT_DATA(2), ACMWDATA(1) => INIT_DATA(1), 
        ACMWDATA(0) => INIT_DATA(0), ACMADDR(7) => INIT_ADDR(7), 
        ACMADDR(6) => INIT_ADDR(6), ACMADDR(5) => INIT_ADDR(5), 
        ACMADDR(4) => INIT_ADDR(4), ACMADDR(3) => INIT_ADDR(3), 
        ACMADDR(2) => INIT_ADDR(2), ACMADDR(1) => INIT_ADDR(1), 
        ACMADDR(0) => INIT_ADDR(0), STC(7) => ADC_STC_net(7), 
        STC(6) => \ADC_STC_net\, STC(5) => ADC_STC_net_net_1, 
        STC(4) => ADC_STC_net_net_2, STC(3) => ADC_STC_net_net_3, 
        STC(2) => ADC_STC_net_net_4, STC(1) => ADC_STC_net_net_5, 
        STC(0) => ADC_STC_net_net_6, TVC(7) => ADC_TVC_net(7), 
        TVC(6) => \ADC_TVC_net\, TVC(5) => ADC_TVC_net_net_1, 
        TVC(4) => ADC_TVC_net_net_2, TVC(3) => ADC_TVC_net_net_3, 
        TVC(2) => ADC_TVC_net_net_4, TVC(1) => ADC_TVC_net_net_5, 
        TVC(0) => ADC_TVC_net_net_6, CHNUMBER(4) => 
        \ADC_CHNR_net[4]_net_1\, CHNUMBER(3) => 
        \ADC_CHNR_net[3]_net_1\, CHNUMBER(2) => 
        \ADC_CHNR_net[2]_net_1\, CHNUMBER(1) => 
        \ADC_CHNR_net[1]_net_1\, CHNUMBER(0) => 
        \ADC_CHNR_net[0]_net_1\, MODE(3) => ADC_MODE_net(3), 
        MODE(2) => \ADC_MODE_net\, MODE(1) => ADC_MODE_net_net_1, 
        MODE(0) => ADC_MODE_net_net_2, RTCXTLMODE(1) => nc10, 
        RTCXTLMODE(0) => nc2, ACMRESET => SYS_RESET, ACMCLK => 
        ACMCLK, ACMWEN => INIT_ACM_WEN_OR_net, VAREFSEL => 
        ADC_VREFSEL_net, DATAVALID => DATAVALID, CALIBRATE => 
        ADC_CALIBRATE_net, SAMPLE => OPEN, BUSY => ADC_BUSY_net, 
        PWRDWN => ADC_PDOWN_net, SYSCLK => SYS_CLK, ADCRESET => 
        ADC_RESET_net, ADCSTART => ADC_START_net, RTCMATCH => 
        OPEN, RTCPSMMATCH => OPEN, RTCXTLSEL => OPEN, RTCCLK => 
        GND_net);
    
    AV2_PAD : INBUF_A
      port map(PAD => I28con, Y => AV2_net);
    
    AC2_PAD : INBUF_A
      port map(PAD => A28V_PORcon, Y => AC2_net);
    
    INIT_ACMWEN_OR : OR2
      port map(A => INIT_ACM_WEN, B => GND_net, Y => 
        INIT_ACM_WEN_OR_net);
    
    AV0_PAD : INBUF_A
      port map(PAD => Ia1con, Y => AV0_net);
    
    AC0_PAD : INBUF_A
      port map(PAD => Ic1con, Y => AC0_net);
    
    AV4_PAD : INBUF_A
      port map(PAD => Ta1, Y => AV4_net);
    
    AC4_PAD : INBUF_A
      port map(PAD => Tb1, Y => AC4_net);
    
    AV7_PAD : INBUF_A
      port map(PAD => IsFcon, Y => AV7_net);
    
    AC7_PAD : INBUF_A
      port map(PAD => Equalizer_con, Y => AC7_net);
    
    GND_power_inst1 : GND
      port map( Y => GND_power_net1);

    VCC_power_inst1 : VCC
      port map( Y => VCC_power_net1);


end DEF_ARCH; 

-- _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._

-- _CFG_File_Contents_

-- 
-- adc_set_engine -hdl VHDL \
--                -toplevel "Analog2" \
--                -workdir {.} \
--                -commondir {./common} \
--                -die "AFS600" \
--                -package "484 FBGA" \
--                -memory_file_format INTELHEX \
--                -verbosity 0
-- 
-- adc_set_system -system_frequency " 40.00 Mhz" \
--                -mode 12 \
--                -calibrate 1 \
--                -allow_assc_repeat 0 \
--                -export_assc_status 1 \
--                -export_smev_status 0 \
--                -export_assc_ram 0 \
--                -export_smev_ram 0 \
--                -export_adc_result 1 \
--                -export_acm_bus 1 \
--                -system_configuration "ASSC_ONLY" 
-- 
-- adc_set_rtc -enable 0 \
--             -osc_mode "EXTERNAL_CRYSTAL" \
--             -rtc_frequency " 32.000 Khz" \
--             -alarm_day 0 \
--             -alarm_hour 0 \
--             -alarm_minute 0 \
--             -alarm_second 0 \
--             -alarm_millisecond 0 \
--             -alarm_microsecond 0 \
--             -reset_count_on_match 1 \
--             -enable_vr 0
-- 
-- adc_set_voltage_channel -channel_name Ic1con \
--                         -maximum_supply_voltage " 2.500000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.500 us" \
--                         -package_pin Y6
-- 
-- 
-- adc_set_voltage_channel -channel_name Ia2con \
--                         -maximum_supply_voltage " 2.500000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.500 us" \
--                         -package_pin Y8
-- 
-- 
-- adc_set_voltage_channel -channel_name A28V_PORcon \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin Y9
-- 
-- 
-- adc_set_voltage_channel -channel_name FieldPWM_con \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin Y11
-- 
-- 
-- adc_set_voltage_channel -channel_name Tb1 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin U10
-- 
-- 
-- adc_set_voltage_channel -channel_name Ta2 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin T13
-- 
-- 
-- adc_set_voltage_channel -channel_name A4Vrefcon \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin Y12
-- 
-- 
-- adc_set_voltage_channel -channel_name Equalizer_con \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin Y14
-- 
-- 
-- adc_set_voltage_channel -channel_name AC_current_con \
--                         -maximum_supply_voltage " 2.500000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 2.200 us" \
--                         -package_pin Y15
-- 
-- 
-- adc_set_voltage_channel -channel_name Ia1con \
--                         -maximum_supply_voltage " 2.500000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.500 us" \
--                         -package_pin W6
-- 
-- 
-- adc_set_voltage_channel -channel_name Ic2con \
--                         -maximum_supply_voltage " 2.500000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 0.500 us" \
--                         -package_pin W8
-- 
-- 
-- adc_set_voltage_channel -channel_name I28con \
--                         -maximum_supply_voltage " 2.500000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 2.200 us" \
--                         -package_pin W9
-- 
-- 
-- adc_set_voltage_channel -channel_name B_plus_con \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin W11
-- 
-- 
-- adc_set_voltage_channel -channel_name Ta1 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin T10
-- 
-- 
-- adc_set_voltage_channel -channel_name Tb2 \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin T12
-- 
-- 
-- adc_set_voltage_channel -channel_name Tboard \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin W12
-- 
-- 
-- adc_set_voltage_channel -channel_name IsFcon \
--                         -maximum_supply_voltage " 2.500000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 2.200 us" \
--                         -package_pin W14
-- 
-- 
-- adc_set_voltage_channel -channel_name AC_Bus_con \
--                         -maximum_supply_voltage " 4.000000 V" \
--                         -pre_scalar " 4.000000 V" \
--                         -post_scalar " 4.000000 V" \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us" \
--                         -package_pin W15
-- 
-- 
-- adc_set_internal_temperature_channel -channel_name INTERNAL_TEMPERATURE \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000 C" \
--                         -settling_time " 5.000 us"
-- 
-- adc_set_internal_voltage_channel -channel_name INTERNAL_VOLTAGE \
--                         -number_of_samples_to_average 1 \
--                         -initial_averaging_value " 0.000000 V" \
--                         -settling_time " 10.000 us"
-- 
-- adc_set_sequencer -use_external_trigger 1 
-- 
-- adc_set_sequencer_procedure -procedure_name Main \
--                             -lock 1 \
--                             -start_slot 0
-- 
-- adc_set_sequencer_procedure_req -procedure_name Main \
--                                 -signal_name Ic1con 
-- 
-- adc_set_sequencer_procedure_req -procedure_name Main \
--                                 -signal_name Ia2con 
-- 
-- adc_set_sequencer_procedure_req -procedure_name Main \
--                                 -signal_name Ia1con 
-- 
-- adc_set_sequencer_procedure_req -procedure_name Main \
--                                 -signal_name Ic2con 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Main \
--                                  -logical_slot 0 \
--                                  -function SAMPLE \
--                                  -signal_name Ic1con \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Main \
--                                  -logical_slot 1 \
--                                  -function SAMPLE \
--                                  -signal_name Ia2con \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Main \
--                                  -logical_slot 2 \
--                                  -function SAMPLE \
--                                  -signal_name Ia1con \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Main \
--                                  -logical_slot 3 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Ic2con \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name 32K \
--                             -lock 0 \
--                             -start_slot 4
-- 
-- adc_set_sequencer_procedure_req -procedure_name 32K \
--                                 -signal_name I28con 
-- 
-- adc_set_sequencer_procedure_req -procedure_name 32K \
--                                 -signal_name AC_current_con 
-- 
-- adc_set_sequencer_procedure_req -procedure_name 32K \
--                                 -signal_name IsFcon 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name 32K \
--                                  -logical_slot 0 \
--                                  -function SAMPLE \
--                                  -signal_name I28con \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name 32K \
--                                  -logical_slot 1 \
--                                  -function SAMPLE \
--                                  -signal_name AC_current_con \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name 32K \
--                                  -logical_slot 2 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name IsFcon \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Slow1 \
--                             -lock 0 \
--                             -start_slot 7
-- 
-- adc_set_sequencer_procedure_req -procedure_name Slow1 \
--                                 -signal_name A28V_PORcon 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Slow1 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name A28V_PORcon \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Slow2 \
--                             -lock 0 \
--                             -start_slot 8
-- 
-- adc_set_sequencer_procedure_req -procedure_name Slow2 \
--                                 -signal_name FieldPWM_con 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Slow2 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name FieldPWM_con \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Slow3 \
--                             -lock 0 \
--                             -start_slot 9
-- 
-- adc_set_sequencer_procedure_req -procedure_name Slow3 \
--                                 -signal_name Tb1 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Slow3 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Tb1 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Slow4 \
--                             -lock 0 \
--                             -start_slot 10
-- 
-- adc_set_sequencer_procedure_req -procedure_name Slow4 \
--                                 -signal_name Ta2 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Slow4 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Ta2 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Slow5 \
--                             -lock 0 \
--                             -start_slot 11
-- 
-- adc_set_sequencer_procedure_req -procedure_name Slow5 \
--                                 -signal_name A4Vrefcon 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Slow5 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name A4Vrefcon \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Slow6 \
--                             -lock 0 \
--                             -start_slot 12
-- 
-- adc_set_sequencer_procedure_req -procedure_name Slow6 \
--                                 -signal_name Equalizer_con 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Slow6 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Equalizer_con \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Slow7 \
--                             -lock 0 \
--                             -start_slot 13
-- 
-- adc_set_sequencer_procedure_req -procedure_name Slow7 \
--                                 -signal_name B_plus_con 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Slow7 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name B_plus_con \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Slow8 \
--                             -lock 0 \
--                             -start_slot 14
-- 
-- adc_set_sequencer_procedure_req -procedure_name Slow8 \
--                                 -signal_name Ta1 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Slow8 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Ta1 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Slow9 \
--                             -lock 0 \
--                             -start_slot 15
-- 
-- adc_set_sequencer_procedure_req -procedure_name Slow9 \
--                                 -signal_name Tb2 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Slow9 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Tb2 \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Slow10 \
--                             -lock 0 \
--                             -start_slot 16
-- 
-- adc_set_sequencer_procedure_req -procedure_name Slow10 \
--                                 -signal_name Tboard 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Slow10 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name Tboard \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Slow11 \
--                             -lock 0 \
--                             -start_slot 17
-- 
-- adc_set_sequencer_procedure_req -procedure_name Slow11 \
--                                 -signal_name AC_Bus_con 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Slow11 \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name AC_Bus_con \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Internal_temp \
--                             -lock 0 \
--                             -start_slot 18
-- 
-- adc_set_sequencer_procedure_req -procedure_name Internal_temp \
--                                 -signal_name INTERNAL_TEMPERATURE 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Internal_temp \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name INTERNAL_TEMPERATURE \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 
-- 
-- adc_set_sequencer_procedure -procedure_name Internal_voltage \
--                             -lock 0 \
--                             -start_slot 19
-- 
-- adc_set_sequencer_procedure_req -procedure_name Internal_voltage \
--                                 -signal_name INTERNAL_VOLTAGE 
-- 
-- adc_set_sequencer_procedure_slot -procedure_name Internal_voltage \
--                                  -logical_slot 0 \
--                                  -function SAMPLE_JUMP \
--                                  -signal_name INTERNAL_VOLTAGE \
--                                  -jump_procedure_name Main \
--                                  -repeat 0 

-- _GEN_File_Contents_

-- DESIGN:Analog2
-- DESDIR:D:/Actelprj/Fusion_applications/Cory_test_case/smartgen\Analog2
-- FAM:Fusion
-- MGNCMPL:F
-- MGNTIMER:F
-- OUTFORMAT:VHDL
-- LPMTYPE:LPM_ANALOGSYS
-- LPM_HINT:NONE
-- CONFIGFILE:Analog2.cfg

-- _End_Comments_

