-- Generated by WaveFormer Lite Version 11.13b at 14:13:33 on 1/23/2007
-- Stimulator for stimulus

-- Generation Settings:
--   Export type: Stimulus only (reactive export not enabled)
--                Delays, Samples, Markers, etc will not generate code.

-- Clock Domains:

--   Unclocked
--   ---------
--     Signals:
--       SYS_RESET
--       INIT_POWER_UP
--       Volt1
--       Volt2
--       Volt3
--       Volt4
--       Volt5
--       Volt6
--       Volt7
--       Volt8
--       Volt9
--       Volt10
--       Volt11
--       Volt12
--       Volt13
--       Volt14
--       Volt15
--       Volt16
--       Volt17
--       Volt18

library ieee, std;
use ieee.std_logic_1164.all;
library syncad_vhdl_lib;
use syncad_vhdl_lib.TBDefinitions.all;
library fusion;
use fusion.analog_io.all;
-- Additional libraries used by Model Under Test.
library ieee;
use ieee.std_logic_unsigned.all;
-- End Additional libraries used by Model Under Test.

entity stimulus is
  port (
    SYS_CLK : inout std_logic := '0';
    SYS_RESET : inout std_logic := '0';
    INIT_POWER_UP : inout std_logic := '0';
    VAREF : inout std_logic := 'Z';
    RESULT_AV5V : in std_logic_vector(11 downto 0) := "ZZZZZZZZZZZZ";
    RESULT_TEMP : in std_logic_vector(11 downto 0) := "ZZZZZZZZZZZZ";
    Volt1 : inout std_logic := 'Z';
    Volt2 : inout std_logic := 'Z';
    Volt3 : inout std_logic := 'Z';
    Volt4 : inout std_logic := 'Z';
    Volt5 : inout std_logic := 'Z';
    Volt6 : inout std_logic := 'Z';
    Volt7 : inout std_logic := 'Z';
    Volt8 : inout std_logic := 'Z';
    Volt9 : inout std_logic := 'Z';
    Volt10 : inout std_logic := 'Z';
    Volt11 : inout std_logic := 'Z';
    Volt12 : inout std_logic := 'Z';
    Volt13 : inout std_logic := 'Z';
    Volt14 : inout std_logic := 'Z';
    Volt15 : inout std_logic := 'Z';
    Volt16 : inout std_logic := 'Z';
    Volt17 : inout std_logic := 'Z';
    Volt18 : inout std_logic := 'Z');

end stimulus;

architecture STIMULATOR of stimulus is

  -- Control Signal Declarations
  signal tb_status : TStatus;
  signal tb_ParameterInitFlag : boolean := false;
  signal Volt1_driver : real;
  signal Volt2_driver : real;
  signal Volt3_driver : real;
  signal Volt4_driver : real;
  signal Volt5_driver : real;
  signal Volt6_driver : real;
  signal Volt7_driver : real;
  signal Volt8_driver : real;
  signal Volt9_driver : real;
  signal Volt10_driver : real;
  signal Volt11_driver : real;
  signal Volt12_driver : real;
  signal Volt13_driver : real;
  signal Volt14_driver : real;
  signal Volt15_driver : real;
  signal Volt16_driver : real;
  signal Volt17_driver : real;
  signal Volt18_driver : real;

  -- Parm Declarations
  signal SYS_CLK_MinHL : time := 0 ns;
  signal SYS_CLK_MaxHL : time := 0 ns;
  signal SYS_CLK_MinLH : time := 0 ns;
  signal SYS_CLK_MaxLH : time := 0 ns;
  signal SYS_CLK_JFall : time := 0 ns;
  signal SYS_CLK_JRise : time := 0 ns;
  signal SYS_CLK_Duty : real := 0.0;
  signal SYS_CLK_Period : time := 0 ns;
  signal SYS_CLK_Offset : time := 0 ns;

  -- Status Control block.

begin

  process
    variable good : boolean;
  begin
    wait until tb_ParameterInitFlag;
    tb_status <= TB_ONCE;
    wait for 2500998.999 ns;
    tb_status <= TB_DONE;
    wait;
  end process;

  -- Actel Analog Drivers Block
  drive_analog_input(Volt1_driver, Volt1);
  drive_analog_input(Volt2_driver, Volt2);
  drive_analog_input(Volt3_driver, Volt3);
  drive_analog_input(Volt4_driver, Volt4);
  drive_analog_input(Volt5_driver, Volt5);
  drive_analog_input(Volt6_driver, Volt6);
  drive_analog_input(Volt7_driver, Volt7);
  drive_analog_input(Volt8_driver, Volt8);
  drive_analog_input(Volt9_driver, Volt9);
  drive_analog_input(Volt10_driver, Volt10);
  drive_analog_input(Volt11_driver, Volt11);
  drive_analog_input(Volt12_driver, Volt12);
  drive_analog_input(Volt13_driver, Volt13);
  drive_analog_input(Volt14_driver, Volt14);
  drive_analog_input(Volt15_driver, Volt15);
  drive_analog_input(Volt16_driver, Volt16);
  drive_analog_input(Volt17_driver, Volt17);
  drive_analog_input(Volt18_driver, Volt18);

  -- Parm Assignment Block
  AssignParms : process
    variable SYS_CLK_MinHL_real : real;
    variable SYS_CLK_MaxHL_real : real;
    variable SYS_CLK_MinLH_real : real;
    variable SYS_CLK_MaxLH_real : real;
    variable SYS_CLK_JFall_real : real;
    variable SYS_CLK_JRise_real : real;
    variable SYS_CLK_Duty_real : real;
    variable SYS_CLK_Period_real : real;
    variable SYS_CLK_Offset_real : real;
  begin
    SYS_CLK_MinHL_real := 0.0;
    SYS_CLK_MinHL <= SYS_CLK_MinHL_real * 1 ns;
    SYS_CLK_MaxHL_real := 0.0;
    SYS_CLK_MaxHL <= SYS_CLK_MaxHL_real * 1 ns;
    SYS_CLK_MinLH_real := 0.0;
    SYS_CLK_MinLH <= SYS_CLK_MinLH_real * 1 ns;
    SYS_CLK_MaxLH_real := 0.0;
    SYS_CLK_MaxLH <= SYS_CLK_MaxLH_real * 1 ns;
    SYS_CLK_JFall_real := 0.0;
    SYS_CLK_JFall <= SYS_CLK_JFall_real * 1 ns;
    SYS_CLK_JRise_real := 0.0;
    SYS_CLK_JRise <= SYS_CLK_JRise_real * 1 ns;
    SYS_CLK_Duty_real := 50.0;
    SYS_CLK_Duty <= SYS_CLK_Duty_real;
    SYS_CLK_Period_real := 25.0;
    SYS_CLK_Period <= SYS_CLK_Period_real * 1 ns;
    SYS_CLK_Offset_real := 0.0;
    SYS_CLK_Offset <= SYS_CLK_Offset_real * 1 ns;
    tb_ParameterInitFlag <= true;
    wait;
  end process;

  -- Clocks

  -- Clock Instantiation
  tb_SYS_CLK : entity syncad_vhdl_lib.tb_clock_minmax
    generic map (name => "tb_SYS_CLK",
                initialize => true,
                state1 => '1',
                state2 => '0')
    port map (tb_status,
              SYS_CLK,
              SYS_CLK_MinLH,
              SYS_CLK_MaxLH,
              SYS_CLK_MinHL,
              SYS_CLK_MaxHL,
              SYS_CLK_Offset,
              SYS_CLK_Period,
              SYS_CLK_Duty,
              SYS_CLK_JRise,
              SYS_CLK_JFall);

  -- Clocked Sequences

  -- Sequence: Unclocked
  Unclocked : process
  begin
    Volt1_driver <= 0.0;
    Volt2_driver <= 0.0;
    Volt3_driver <= 0.0;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    Volt6_driver <= 0.0;
    Volt7_driver <= 0.0;
    Volt8_driver <= '';
    Volt9_driver <= 0.0;
    Volt10_driver <= '';
    Volt11_driver <= 0.0;
    Volt12_driver <= '';
    Volt13_driver <= '';
    Volt14_driver <= '';
    Volt15_driver <= '';
    Volt16_driver <= '';
    Volt17_driver <= '';
    Volt18_driver <= '';
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 12 ns;
    INIT_POWER_UP <= '1';
    wait for 28 ns;
    SYS_RESET <= '1';
    wait for 957 ns;
    Volt4_driver <= 0.0;
    wait for 44457.539 ns;
    Volt6_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 0.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.0;
    wait for 1.0e-003 ns;
    Volt7_driver <= 0.0;
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt11_driver <= 0.0;
    wait for 996.997 ns;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    wait for 2.002 ns;
    Volt2_driver <= 0.0;
    wait for 44455.541 ns;
    Volt6_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 0.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.0;
    wait for 1.0e-003 ns;
    Volt7_driver <= 0.0;
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt11_driver <= 0.0;
    wait for 996.997 ns;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    wait for 2.002 ns;
    Volt2_driver <= 0.0;
    wait for 44455.54 ns;
    Volt6_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 0.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.0;
    wait for 1.0e-003 ns;
    Volt7_driver <= 0.0;
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt11_driver <= 0.0;
    wait for 996.997 ns;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    wait for 2.002 ns;
    Volt2_driver <= 0.0;
    wait for 44455.541 ns;
    Volt6_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 0.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.0;
    wait for 1.0e-003 ns;
    Volt7_driver <= 0.0;
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt11_driver <= 0.0;
    wait for 996.997 ns;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    wait for 2.002 ns;
    Volt2_driver <= 0.0;
    wait for 44455.54 ns;
    Volt6_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 0.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.0;
    wait for 1.0e-003 ns;
    Volt7_driver <= 0.0;
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt11_driver <= 0.0;
    wait for 996.997 ns;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    wait for 2.002 ns;
    Volt2_driver <= 0.0;
    wait for 44455.541 ns;
    Volt6_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 0.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.0;
    wait for 1.0e-003 ns;
    Volt7_driver <= 0.0;
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt11_driver <= 0.0;
    wait for 996.997 ns;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    wait for 2.002 ns;
    Volt2_driver <= 0.0;
    wait for 44455.54 ns;
    Volt6_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 0.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.0;
    wait for 1.0e-003 ns;
    Volt7_driver <= 0.0;
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt11_driver <= 0.0;
    wait for 996.997 ns;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    wait for 2.002 ns;
    Volt2_driver <= 0.0;
    wait for 44455.541 ns;
    Volt6_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 0.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.0;
    wait for 1.0e-003 ns;
    Volt7_driver <= 0.0;
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt11_driver <= 0.0;
    wait for 996.997 ns;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    wait for 2.002 ns;
    Volt2_driver <= 0.0;
    wait for 44455.54 ns;
    Volt6_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 0.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.0;
    wait for 1.0e-003 ns;
    Volt7_driver <= 0.0;
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt11_driver <= 0.0;
    wait for 996.997 ns;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    wait for 2.002 ns;
    Volt2_driver <= 0.0;
    wait for 44455.541 ns;
    Volt6_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 0.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= '';
    wait for 1.0e-003 ns;
    Volt7_driver <= 0.0;
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt11_driver <= 0.0;
    wait for 996.997 ns;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    wait for 2.002 ns;
    Volt2_driver <= '';
    wait for 44455.54 ns;
    Volt6_driver <= 0.0;
    Volt12_driver <= 0.0;
    Volt13_driver <= 0.0;
    Volt14_driver <= 0.0;
    Volt15_driver <= 0.0;
    Volt16_driver <= 0.0;
    Volt17_driver <= 0.0;
    Volt18_driver <= 0.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 0.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.0;
    wait for 1.0e-003 ns;
    Volt7_driver <= 0.0;
    Volt8_driver <= 0.0;
    Volt9_driver <= 0.0;
    Volt10_driver <= 0.0;
    Volt11_driver <= 0.0;
    wait for 996.997 ns;
    Volt4_driver <= 0.0;
    Volt5_driver <= 0.0;
    wait for 2.002 ns;
    Volt2_driver <= 0.0;
    wait for 19000.995 ns;
    Volt6_driver <= 0.166666666666667;
    Volt12_driver <= 0.166666666666667;
    Volt13_driver <= 0.166666666666667;
    Volt14_driver <= 0.166666666666667;
    Volt15_driver <= 0.166666666666667;
    Volt16_driver <= 0.166666666666667;
    Volt17_driver <= 0.166666666666667;
    Volt18_driver <= 0.166666666666667;
    wait for 6.0e-003 ns;
    Volt7_driver <= 0.104166666666667;
    Volt8_driver <= 0.104166666666667;
    wait for 19999.994 ns;
    Volt6_driver <= 0.333333333333333;
    Volt12_driver <= 0.333333333333333;
    Volt13_driver <= 0.333333333333333;
    Volt14_driver <= 0.333333333333333;
    Volt15_driver <= 0.333333333333333;
    Volt16_driver <= 0.333333333333333;
    Volt17_driver <= 0.333333333333333;
    Volt18_driver <= 0.333333333333333;
    wait for 6.0e-003 ns;
    Volt7_driver <= 0.208333333333333;
    Volt8_driver <= 0.208333333333333;
    wait for 5454.542 ns;
    Volt3_driver <= 0.25;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.25;
    wait for 996.998 ns;
    Volt4_driver <= 0.25;
    Volt5_driver <= 0.25;
    wait for 2.002 ns;
    Volt2_driver <= 0.25;
    wait for 3546.456 ns;
    Volt9_driver <= 1.11111111111111;
    Volt10_driver <= 1.11111111111111;
    Volt11_driver <= 0.555555555555556;
    wait for 9999.994 ns;
    Volt6_driver <= 0.5;
    Volt12_driver <= 0.5;
    Volt13_driver <= 0.5;
    Volt14_driver <= 0.5;
    Volt15_driver <= 0.5;
    Volt16_driver <= 0.5;
    Volt17_driver <= 0.5;
    Volt18_driver <= 0.5;
    wait for 6.0e-003 ns;
    Volt7_driver <= 0.3125;
    Volt8_driver <= 0.3125;
    wait for 19999.994 ns;
    Volt6_driver <= 0.666666666666667;
    Volt12_driver <= 0.666666666666667;
    Volt13_driver <= 0.666666666666667;
    Volt14_driver <= 0.666666666666667;
    Volt15_driver <= 0.666666666666667;
    Volt16_driver <= 0.666666666666667;
    Volt17_driver <= 0.666666666666667;
    Volt18_driver <= 0.666666666666667;
    wait for 6.0e-003 ns;
    Volt7_driver <= 0.416666666666667;
    Volt8_driver <= 0.416666666666667;
    wait for 10909.088 ns;
    Volt3_driver <= 0.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.5;
    wait for 996.998 ns;
    Volt4_driver <= 0.5;
    Volt5_driver <= 0.5;
    wait for 2.002 ns;
    Volt2_driver <= 0.5;
    wait for 8091.904 ns;
    Volt6_driver <= 0.833333333333333;
    Volt12_driver <= 0.833333333333333;
    Volt13_driver <= 0.833333333333333;
    Volt14_driver <= 0.833333333333333;
    Volt15_driver <= 0.833333333333333;
    Volt16_driver <= 0.833333333333333;
    Volt17_driver <= 0.833333333333333;
    Volt18_driver <= 0.833333333333333;
    wait for 6.0e-003 ns;
    Volt7_driver <= 0.520833333333333;
    Volt8_driver <= 0.520833333333333;
    Volt9_driver <= 2.22222222222222;
    Volt10_driver <= 2.22222222222222;
    Volt11_driver <= 1.11111111111111;
    wait for 19999.994 ns;
    Volt6_driver <= 1.0;
    Volt12_driver <= 1.0;
    Volt13_driver <= 1.0;
    Volt14_driver <= 1.0;
    Volt15_driver <= 1.0;
    Volt16_driver <= 1.0;
    Volt17_driver <= 1.0;
    Volt18_driver <= 1.0;
    wait for 6.0e-003 ns;
    Volt7_driver <= 0.625;
    Volt8_driver <= 0.625;
    wait for 16363.633 ns;
    Volt3_driver <= 0.75;
    wait for 2.0e-003 ns;
    Volt1_driver <= 0.75;
    wait for 996.998 ns;
    Volt4_driver <= 0.75;
    Volt5_driver <= 0.75;
    wait for 2.002 ns;
    Volt2_driver <= 0.75;
    wait for 2637.359 ns;
    Volt6_driver <= 1.16666666666667;
    Volt12_driver <= 1.16666666666667;
    Volt13_driver <= 1.16666666666667;
    Volt14_driver <= 1.16666666666667;
    Volt15_driver <= 1.16666666666667;
    Volt16_driver <= 1.16666666666667;
    Volt17_driver <= 1.16666666666667;
    Volt18_driver <= 1.16666666666667;
    wait for 6.0e-003 ns;
    Volt7_driver <= 0.729166666666667;
    Volt8_driver <= 0.729166666666667;
    wait for 10000 ns;
    Volt9_driver <= 3.33333333333333;
    Volt10_driver <= 3.33333333333333;
    Volt11_driver <= 1.66666666666667;
    wait for 9999.994 ns;
    Volt6_driver <= 1.33333333333333;
    Volt12_driver <= 1.33333333333333;
    Volt13_driver <= 1.33333333333333;
    Volt14_driver <= 1.33333333333333;
    Volt15_driver <= 1.33333333333333;
    Volt16_driver <= 1.33333333333333;
    Volt17_driver <= 1.33333333333333;
    Volt18_driver <= 1.33333333333333;
    wait for 6.0e-003 ns;
    Volt7_driver <= 0.833333333333333;
    Volt8_driver <= 0.833333333333333;
    wait for 19999.994 ns;
    Volt6_driver <= 1.5;
    Volt12_driver <= 1.5;
    Volt13_driver <= 1.5;
    Volt14_driver <= 1.5;
    Volt15_driver <= 1.5;
    Volt16_driver <= 1.5;
    Volt17_driver <= 1.5;
    Volt18_driver <= 1.5;
    wait for 6.0e-003 ns;
    Volt7_driver <= 0.9375;
    Volt8_driver <= 0.9375;
    wait for 1818.179 ns;
    Volt3_driver <= 1.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 1.0;
    wait for 996.998 ns;
    Volt4_driver <= 1.0;
    Volt5_driver <= 1.0;
    wait for 2.002 ns;
    Volt2_driver <= 1.0;
    wait for 17182.813 ns;
    Volt6_driver <= 1.66666666666667;
    Volt12_driver <= 1.66666666666667;
    Volt13_driver <= 1.66666666666667;
    Volt14_driver <= 1.66666666666667;
    Volt15_driver <= 1.66666666666667;
    Volt16_driver <= 1.66666666666667;
    Volt17_driver <= 1.66666666666667;
    Volt18_driver <= 1.66666666666667;
    wait for 6.0e-003 ns;
    Volt7_driver <= 1.04166666666667;
    Volt8_driver <= 1.04166666666667;
    Volt9_driver <= 4.44444444444444;
    Volt10_driver <= 4.44444444444444;
    Volt11_driver <= 2.22222222222222;
    wait for 19999.994 ns;
    Volt6_driver <= 1.83333333333333;
    Volt12_driver <= 1.83333333333333;
    Volt13_driver <= 1.83333333333333;
    Volt14_driver <= 1.83333333333333;
    Volt15_driver <= 1.83333333333333;
    Volt16_driver <= 1.83333333333333;
    Volt17_driver <= 1.83333333333333;
    Volt18_driver <= 1.83333333333333;
    wait for 6.0e-003 ns;
    Volt7_driver <= 1.14583333333333;
    Volt8_driver <= 1.14583333333333;
    wait for 7272.724 ns;
    Volt3_driver <= 1.25;
    wait for 2.0e-003 ns;
    Volt1_driver <= 1.25;
    wait for 996.998 ns;
    Volt4_driver <= 1.25;
    Volt5_driver <= 1.25;
    wait for 2.002 ns;
    Volt2_driver <= 1.25;
    wait for 11728.268 ns;
    Volt6_driver <= 2.0;
    Volt12_driver <= 2.0;
    Volt13_driver <= 2.0;
    Volt14_driver <= 2.0;
    Volt15_driver <= 2.0;
    Volt16_driver <= 2.0;
    Volt17_driver <= 2.0;
    Volt18_driver <= 2.0;
    wait for 6.0e-003 ns;
    Volt7_driver <= 1.25;
    Volt8_driver <= 1.25;
    wait for 10000 ns;
    Volt9_driver <= 5.55555555555556;
    Volt10_driver <= 5.55555555555556;
    Volt11_driver <= 2.77777777777778;
    wait for 9999.994 ns;
    Volt6_driver <= 2.16666666666667;
    Volt12_driver <= 2.16666666666667;
    Volt13_driver <= 2.16666666666667;
    Volt14_driver <= 2.16666666666667;
    Volt15_driver <= 2.16666666666667;
    Volt16_driver <= 2.16666666666667;
    Volt17_driver <= 2.16666666666667;
    Volt18_driver <= 2.16666666666667;
    wait for 6.0e-003 ns;
    Volt7_driver <= 1.35416666666667;
    Volt8_driver <= 1.35416666666667;
    wait for 12727.27 ns;
    Volt3_driver <= 1.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 1.5;
    wait for 996.998 ns;
    Volt4_driver <= 1.5;
    Volt5_driver <= 1.5;
    wait for 2.002 ns;
    Volt2_driver <= 1.5;
    wait for 6273.722 ns;
    Volt6_driver <= 2.33333333333333;
    Volt12_driver <= 2.33333333333333;
    Volt13_driver <= 2.33333333333333;
    Volt14_driver <= 2.33333333333333;
    Volt15_driver <= 2.33333333333333;
    Volt16_driver <= 2.33333333333333;
    Volt17_driver <= 2.33333333333333;
    Volt18_driver <= 2.33333333333333;
    wait for 6.0e-003 ns;
    Volt7_driver <= 1.45833333333333;
    Volt8_driver <= 1.45833333333333;
    wait for 19999.994 ns;
    Volt6_driver <= 2.5;
    Volt12_driver <= 2.5;
    Volt13_driver <= 2.5;
    Volt14_driver <= 2.5;
    Volt15_driver <= 2.5;
    Volt16_driver <= 2.5;
    Volt17_driver <= 2.5;
    Volt18_driver <= 2.5;
    wait for 6.0e-003 ns;
    Volt7_driver <= 1.5625;
    Volt8_driver <= 1.5625;
    Volt9_driver <= 6.66666666666667;
    Volt10_driver <= 6.66666666666667;
    Volt11_driver <= 3.33333333333333;
    wait for 18181.815 ns;
    Volt3_driver <= 1.75;
    wait for 2.0e-003 ns;
    Volt1_driver <= 1.75;
    wait for 996.998 ns;
    Volt4_driver <= 1.75;
    Volt5_driver <= 1.75;
    wait for 2.002 ns;
    Volt2_driver <= 1.75;
    wait for 819.177 ns;
    Volt6_driver <= 2.66666666666667;
    Volt12_driver <= 2.66666666666667;
    Volt13_driver <= 2.66666666666667;
    Volt14_driver <= 2.66666666666667;
    Volt15_driver <= 2.66666666666667;
    Volt16_driver <= 2.66666666666667;
    Volt17_driver <= 2.66666666666667;
    Volt18_driver <= 2.66666666666667;
    wait for 6.0e-003 ns;
    Volt7_driver <= 1.66666666666667;
    Volt8_driver <= 1.66666666666667;
    wait for 19999.994 ns;
    Volt6_driver <= 2.83333333333333;
    Volt12_driver <= 2.83333333333333;
    Volt13_driver <= 2.83333333333333;
    Volt14_driver <= 2.83333333333333;
    Volt15_driver <= 2.83333333333333;
    Volt16_driver <= 2.83333333333333;
    Volt17_driver <= 2.83333333333333;
    Volt18_driver <= 2.83333333333333;
    wait for 6.0e-003 ns;
    Volt7_driver <= 1.77083333333333;
    Volt8_driver <= 1.77083333333333;
    wait for 10000 ns;
    Volt9_driver <= 7.77777777777778;
    Volt10_driver <= 7.77777777777778;
    Volt11_driver <= 3.88888888888889;
    wait for 9999.994 ns;
    Volt6_driver <= 3.0;
    Volt12_driver <= 3.0;
    Volt13_driver <= 3.0;
    Volt14_driver <= 3.0;
    Volt15_driver <= 3.0;
    Volt16_driver <= 3.0;
    Volt17_driver <= 3.0;
    Volt18_driver <= 3.0;
    wait for 6.0e-003 ns;
    Volt7_driver <= 1.875;
    Volt8_driver <= 1.875;
    wait for 3636.361 ns;
    Volt3_driver <= 2.0;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.0;
    wait for 996.998 ns;
    Volt4_driver <= 2.0;
    Volt5_driver <= 2.0;
    wait for 2.002 ns;
    Volt2_driver <= 2.0;
    wait for 15364.631 ns;
    Volt6_driver <= 3.16666666666667;
    Volt12_driver <= 3.16666666666667;
    Volt13_driver <= 3.16666666666667;
    Volt14_driver <= 3.16666666666667;
    Volt15_driver <= 3.16666666666667;
    Volt16_driver <= 3.16666666666667;
    Volt17_driver <= 3.16666666666667;
    Volt18_driver <= 3.16666666666667;
    wait for 6.0e-003 ns;
    Volt7_driver <= 1.97916666666667;
    Volt8_driver <= 1.97916666666667;
    wait for 19999.994 ns;
    Volt6_driver <= 3.33333333333333;
    Volt12_driver <= 3.33333333333333;
    Volt13_driver <= 3.33333333333333;
    Volt14_driver <= 3.33333333333333;
    Volt15_driver <= 3.33333333333333;
    Volt16_driver <= 3.33333333333333;
    Volt17_driver <= 3.33333333333333;
    Volt18_driver <= 3.33333333333333;
    wait for 6.0e-003 ns;
    Volt7_driver <= 2.08333333333333;
    Volt8_driver <= 2.08333333333333;
    Volt9_driver <= 8.88888888888889;
    Volt10_driver <= 8.88888888888889;
    Volt11_driver <= 4.44444444444444;
    wait for 9090.906 ns;
    Volt3_driver <= 2.25;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.25;
    wait for 996.998 ns;
    Volt4_driver <= 2.25;
    Volt5_driver <= 2.25;
    wait for 2.002 ns;
    Volt2_driver <= 2.25;
    wait for 9910.086 ns;
    Volt6_driver <= 3.5;
    Volt12_driver <= 3.5;
    Volt13_driver <= 3.5;
    Volt14_driver <= 3.5;
    Volt15_driver <= 3.5;
    Volt16_driver <= 3.5;
    Volt17_driver <= 3.5;
    Volt18_driver <= 3.5;
    wait for 6.0e-003 ns;
    Volt7_driver <= 2.1875;
    Volt8_driver <= 2.1875;
    wait for 19999.994 ns;
    Volt6_driver <= 3.66666666666667;
    Volt12_driver <= 3.66666666666667;
    Volt13_driver <= 3.66666666666667;
    Volt14_driver <= 3.66666666666667;
    Volt15_driver <= 3.66666666666667;
    Volt16_driver <= 3.66666666666667;
    Volt17_driver <= 3.66666666666667;
    Volt18_driver <= 3.66666666666667;
    wait for 6.0e-003 ns;
    Volt7_driver <= 2.29166666666667;
    Volt8_driver <= 2.29166666666667;
    wait for 10000 ns;
    Volt9_driver <= 10.0;
    Volt10_driver <= 10.0;
    Volt11_driver <= 5.0;
    wait for 4545.452 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 996.998 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 4455.54 ns;
    Volt6_driver <= 3.83333333333333;
    Volt12_driver <= 3.83333333333333;
    Volt13_driver <= 3.83333333333333;
    Volt14_driver <= 3.83333333333333;
    Volt15_driver <= 3.83333333333333;
    Volt16_driver <= 3.83333333333333;
    Volt17_driver <= 3.83333333333333;
    Volt18_driver <= 3.83333333333333;
    wait for 6.0e-003 ns;
    Volt7_driver <= 2.39583333333333;
    Volt8_driver <= 2.39583333333333;
    wait for 19999.994 ns;
    Volt6_driver <= 4.0;
    Volt12_driver <= 4.0;
    Volt13_driver <= 4.0;
    Volt14_driver <= 4.0;
    Volt15_driver <= 4.0;
    Volt16_driver <= 4.0;
    Volt17_driver <= 4.0;
    Volt18_driver <= 4.0;
    wait for 6.0e-003 ns;
    Volt7_driver <= 2.5;
    Volt8_driver <= 2.5;
    wait for 19999.994 ns;
    Volt6_driver <= 4.0;
    Volt12_driver <= 4.0;
    Volt13_driver <= 4.0;
    Volt14_driver <= 4.0;
    Volt15_driver <= 4.0;
    Volt16_driver <= 4.0;
    Volt17_driver <= 4.0;
    Volt18_driver <= 4.0;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 2.5;
    Volt8_driver <= 2.5;
    Volt9_driver <= 10.0;
    Volt10_driver <= 10.0;
    Volt11_driver <= 5.0;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 17182.816 ns;
    Volt3_driver <= 2.475;
    wait for 997 ns;
    Volt4_driver <= 2.475;
    Volt5_driver <= 2.475;
    wait for 821.185 ns;
    Volt9_driver <= 9.72222222222222;
    Volt10_driver <= 9.72222222222222;
    wait for 4000 ns;
    Volt7_driver <= 2.46875;
    Volt8_driver <= 2.46875;
    wait for 6000 ns;
    Volt11_driver <= 4.97222222222222;
    wait for 6363.633 ns;
    Volt3_driver <= 2.45;
    wait for 997 ns;
    Volt4_driver <= 2.45;
    Volt5_driver <= 2.45;
    wait for 2639.367 ns;
    Volt9_driver <= 9.44444444444444;
    Volt10_driver <= 9.44444444444444;
    wait for 8000 ns;
    Volt7_driver <= 2.4375;
    Volt8_driver <= 2.4375;
    wait for 1999.994 ns;
    Volt6_driver <= 4.03333333333333;
    Volt12_driver <= 4.03333333333333;
    Volt13_driver <= 4.03333333333333;
    Volt14_driver <= 4.03333333333333;
    Volt15_driver <= 4.03333333333333;
    Volt16_driver <= 4.03333333333333;
    Volt17_driver <= 4.03333333333333;
    Volt18_driver <= 4.03333333333333;
    wait for 4545.458 ns;
    Volt3_driver <= 2.425;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.475;
    wait for 996.998 ns;
    Volt4_driver <= 2.425;
    Volt5_driver <= 2.425;
    wait for 2.002 ns;
    Volt2_driver <= 2.475;
    wait for 4455.546 ns;
    Volt9_driver <= 9.16666666666666;
    Volt10_driver <= 9.16666666666666;
    Volt11_driver <= 4.94444444444444;
    wait for 12000 ns;
    Volt7_driver <= 2.40625;
    Volt8_driver <= 2.40625;
    wait for 727.27 ns;
    Volt3_driver <= 2.4;
    wait for 997 ns;
    Volt4_driver <= 2.4;
    Volt5_driver <= 2.4;
    wait for 6275.73 ns;
    Volt9_driver <= 8.88888888888889;
    Volt10_driver <= 8.88888888888889;
    wait for 10000 ns;
    Volt11_driver <= 4.91666666666667;
    wait for 909.088 ns;
    Volt3_driver <= 2.375;
    wait for 997 ns;
    Volt4_driver <= 2.375;
    Volt5_driver <= 2.375;
    wait for 4093.912 ns;
    Volt7_driver <= 2.375;
    Volt8_driver <= 2.375;
    wait for 3999.994 ns;
    Volt6_driver <= 4.06666666666667;
    Volt12_driver <= 4.06666666666667;
    Volt13_driver <= 4.06666666666667;
    Volt14_driver <= 4.06666666666667;
    Volt15_driver <= 4.06666666666667;
    Volt16_driver <= 4.06666666666667;
    Volt17_driver <= 4.06666666666667;
    Volt18_driver <= 4.06666666666667;
    wait for 6.0e-003 ns;
    Volt9_driver <= 8.61111111111111;
    Volt10_driver <= 8.61111111111111;
    wait for 9090.906 ns;
    Volt3_driver <= 2.35;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.45;
    wait for 996.998 ns;
    Volt4_driver <= 2.35;
    Volt5_driver <= 2.35;
    wait for 2.002 ns;
    Volt2_driver <= 2.45;
    wait for 9910.092 ns;
    Volt7_driver <= 2.34375;
    Volt8_driver <= 2.34375;
    Volt9_driver <= 8.33333333333333;
    Volt10_driver <= 8.33333333333333;
    Volt11_driver <= 4.88888888888889;
    wait for 7272.724 ns;
    Volt3_driver <= 2.325;
    wait for 997 ns;
    Volt4_driver <= 2.325;
    Volt5_driver <= 2.325;
    wait for 11730.276 ns;
    Volt9_driver <= 8.05555555555555;
    Volt10_driver <= 8.05555555555555;
    wait for 4000 ns;
    Volt7_driver <= 2.3125;
    Volt8_driver <= 2.3125;
    wait for 1454.542 ns;
    Volt3_driver <= 2.3;
    wait for 997 ns;
    Volt4_driver <= 2.3;
    Volt5_driver <= 2.3;
    wait for 3548.452 ns;
    Volt6_driver <= 4.1;
    Volt12_driver <= 4.1;
    Volt13_driver <= 4.1;
    Volt14_driver <= 4.1;
    Volt15_driver <= 4.1;
    Volt16_driver <= 4.1;
    Volt17_driver <= 4.1;
    Volt18_driver <= 4.1;
    wait for 6.0e-003 ns;
    Volt11_driver <= 4.86111111111111;
    wait for 10000 ns;
    Volt9_driver <= 7.77777777777777;
    Volt10_driver <= 7.77777777777777;
    wait for 3636.361 ns;
    Volt3_driver <= 2.275;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.425;
    wait for 996.998 ns;
    Volt4_driver <= 2.275;
    Volt5_driver <= 2.275;
    wait for 2.002 ns;
    Volt2_driver <= 2.425;
    wait for 3364.637 ns;
    Volt7_driver <= 2.28125;
    Volt8_driver <= 2.28125;
    wait for 12000 ns;
    Volt9_driver <= 7.49999999999999;
    Volt10_driver <= 7.49999999999999;
    Volt11_driver <= 4.83333333333333;
    wait for 1818.179 ns;
    Volt3_driver <= 2.25;
    wait for 997 ns;
    Volt4_driver <= 2.25;
    Volt5_driver <= 2.25;
    wait for 9184.821 ns;
    Volt7_driver <= 2.25;
    Volt8_driver <= 2.25;
    wait for 7999.994 ns;
    Volt6_driver <= 4.13333333333333;
    Volt12_driver <= 4.13333333333333;
    Volt13_driver <= 4.13333333333333;
    Volt14_driver <= 4.13333333333333;
    Volt15_driver <= 4.13333333333333;
    Volt16_driver <= 4.13333333333333;
    Volt17_driver <= 4.13333333333333;
    Volt18_driver <= 4.13333333333333;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 3.0e-003 ns;
    Volt9_driver <= 7.5;
    Volt10_driver <= 7.5;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 9003.003 ns;
    Volt11_driver <= 4.80555555555556;
    wait for 6000 ns;
    Volt7_driver <= 2.21875;
    Volt8_driver <= 2.21875;
    wait for 2181.817 ns;
    Volt1_driver <= 2.4;
    wait for 999 ns;
    Volt2_driver <= 2.4;
    wait for 17182.816 ns;
    Volt3_driver <= 2.5;
    wait for 997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2639.367 ns;
    Volt7_driver <= 2.1875;
    Volt8_driver <= 2.1875;
    Volt9_driver <= 7.77777777777778;
    Volt10_driver <= 7.77777777777778;
    Volt11_driver <= 4.77777777777778;
    wait for 9999.994 ns;
    Volt6_driver <= 4.16666666666667;
    Volt12_driver <= 4.16666666666667;
    Volt13_driver <= 4.16666666666667;
    Volt14_driver <= 4.16666666666667;
    Volt15_driver <= 4.16666666666667;
    Volt16_driver <= 4.16666666666667;
    Volt17_driver <= 4.16666666666667;
    Volt18_driver <= 4.16666666666667;
    wait for 14000.006 ns;
    Volt7_driver <= 2.15625;
    Volt8_driver <= 2.15625;
    wait for 6000 ns;
    Volt11_driver <= 4.75;
    wait for 2727.27 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.375;
    wait for 996.998 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.375;
    wait for 6273.728 ns;
    Volt9_driver <= 8.05555555555556;
    Volt10_driver <= 8.05555555555556;
    wait for 8000 ns;
    Volt7_driver <= 2.125;
    Volt8_driver <= 2.125;
    wait for 11999.994 ns;
    Volt6_driver <= 4.2;
    Volt12_driver <= 4.2;
    Volt13_driver <= 4.2;
    Volt14_driver <= 4.2;
    Volt15_driver <= 4.2;
    Volt16_driver <= 4.2;
    Volt17_driver <= 4.2;
    Volt18_driver <= 4.2;
    wait for 6.0e-003 ns;
    Volt11_driver <= 4.75;
    wait for 9090.906 ns;
    Volt3_driver <= 2.5;
    wait for 997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 1912.094 ns;
    Volt7_driver <= 2.09375;
    Volt8_driver <= 2.09375;
    wait for 8000 ns;
    Volt9_driver <= 8.33333333333333;
    Volt10_driver <= 8.33333333333333;
    wait for 7272.726 ns;
    Volt1_driver <= 2.35;
    wait for 999 ns;
    Volt2_driver <= 2.35;
    wait for 1728.274 ns;
    Volt11_driver <= 4.77777777777778;
    wait for 6000 ns;
    Volt7_driver <= 2.0625;
    Volt8_driver <= 2.0625;
    wait for 9454.542 ns;
    Volt3_driver <= 2.5;
    wait for 997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 3548.452 ns;
    Volt6_driver <= 4.23333333333333;
    Volt12_driver <= 4.23333333333333;
    Volt13_driver <= 4.23333333333333;
    Volt14_driver <= 4.23333333333333;
    Volt15_driver <= 4.23333333333333;
    Volt16_driver <= 4.23333333333333;
    Volt17_driver <= 4.23333333333333;
    Volt18_driver <= 4.23333333333333;
    wait for 10000.006 ns;
    Volt7_driver <= 2.03125;
    Volt8_driver <= 2.03125;
    Volt9_driver <= 8.61111111111111;
    Volt10_driver <= 8.61111111111111;
    Volt11_driver <= 4.80555555555556;
    wait for 21818.179 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.325;
    wait for 996.998 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.325;
    wait for 1182.819 ns;
    Volt7_driver <= 2.0;
    Volt8_driver <= 2.0;
    wait for 6000 ns;
    Volt11_driver <= 4.83333333333333;
    wait for 9999.994 ns;
    Volt6_driver <= 4.26666666666667;
    Volt12_driver <= 4.26666666666667;
    Volt13_driver <= 4.26666666666667;
    Volt14_driver <= 4.26666666666667;
    Volt15_driver <= 4.26666666666667;
    Volt16_driver <= 4.26666666666667;
    Volt17_driver <= 4.26666666666667;
    Volt18_driver <= 4.26666666666667;
    wait for 6.0e-003 ns;
    Volt9_driver <= 8.88888888888889;
    Volt10_driver <= 8.88888888888889;
    wait for 8000 ns;
    Volt7_driver <= 1.96875;
    Volt8_driver <= 1.96875;
    wait for 10181.815 ns;
    Volt3_driver <= 2.5;
    wait for 997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 821.185 ns;
    Volt11_driver <= 4.86111111111111;
    wait for 12000 ns;
    Volt7_driver <= 1.9375;
    Volt8_driver <= 1.9375;
    wait for 4363.635 ns;
    Volt1_driver <= 2.3;
    wait for 999 ns;
    Volt2_driver <= 2.3;
    wait for 2637.365 ns;
    Volt9_driver <= 9.16666666666667;
    Volt10_driver <= 9.16666666666667;
    wait for 9999.994 ns;
    Volt6_driver <= 4.3;
    Volt12_driver <= 4.3;
    Volt13_driver <= 4.3;
    Volt14_driver <= 4.3;
    Volt15_driver <= 4.3;
    Volt16_driver <= 4.3;
    Volt17_driver <= 4.3;
    Volt18_driver <= 4.3;
    wait for 6.0e-003 ns;
    Volt11_driver <= 4.88888888888889;
    wait for 4545.452 ns;
    Volt3_driver <= 2.5;
    wait for 997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 457.548 ns;
    Volt7_driver <= 1.90625;
    Volt8_driver <= 1.90625;
    wait for 24000 ns;
    Volt7_driver <= 1.875;
    Volt8_driver <= 1.875;
    Volt9_driver <= 9.44444444444445;
    Volt10_driver <= 9.44444444444445;
    Volt11_driver <= 4.91666666666667;
    wait for 10909.088 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.275;
    wait for 996.998 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.275;
    wait for 8091.904 ns;
    Volt6_driver <= 4.0;
    Volt12_driver <= 4.0;
    Volt13_driver <= 4.0;
    Volt14_driver <= 4.0;
    Volt15_driver <= 4.0;
    Volt16_driver <= 4.0;
    Volt17_driver <= 4.0;
    Volt18_driver <= 4.0;
    wait for 4000.006 ns;
    Volt7_driver <= 1.84375;
    Volt8_driver <= 1.84375;
    wait for 5090.903 ns;
    Volt6_driver <= 4.05;
    Volt12_driver <= 4.05;
    Volt13_driver <= 4.05;
    Volt14_driver <= 4.05;
    Volt15_driver <= 4.05;
    Volt16_driver <= 4.05;
    Volt17_driver <= 4.05;
    Volt18_driver <= 4.05;
    wait for 909.097 ns;
    Volt11_driver <= 4.94444444444444;
    wait for 8181.812 ns;
    Volt6_driver <= 4.1;
    Volt12_driver <= 4.1;
    Volt13_driver <= 4.1;
    Volt14_driver <= 4.1;
    Volt15_driver <= 4.1;
    Volt16_driver <= 4.1;
    Volt17_driver <= 4.1;
    Volt18_driver <= 4.1;
    wait for 1818.188 ns;
    Volt9_driver <= 9.72222222222223;
    Volt10_driver <= 9.72222222222223;
    wait for 7272.721 ns;
    Volt6_driver <= 4.15;
    Volt12_driver <= 4.15;
    Volt13_driver <= 4.15;
    Volt14_driver <= 4.15;
    Volt15_driver <= 4.15;
    Volt16_driver <= 4.15;
    Volt17_driver <= 4.15;
    Volt18_driver <= 4.15;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 727.276 ns;
    Volt7_driver <= 1.8125;
    Volt8_driver <= 1.8125;
    wait for 269.724 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 8093.906 ns;
    Volt6_driver <= 4.2;
    Volt12_driver <= 4.2;
    Volt13_driver <= 4.2;
    Volt14_driver <= 4.2;
    Volt15_driver <= 4.2;
    Volt16_driver <= 4.2;
    Volt17_driver <= 4.2;
    Volt18_driver <= 4.2;
    wait for 3636.37 ns;
    Volt11_driver <= 4.97222222222222;
    wait for 5454.539 ns;
    Volt6_driver <= 4.25;
    Volt12_driver <= 4.25;
    Volt13_driver <= 4.25;
    Volt14_driver <= 4.25;
    Volt15_driver <= 4.25;
    Volt16_driver <= 4.25;
    Volt17_driver <= 4.25;
    Volt18_driver <= 4.25;
    wait for 5.0e-003 ns;
    Volt1_driver <= 2.25;
    wait for 999 ns;
    Volt2_driver <= 2.25;
    wait for 5546.456 ns;
    Volt7_driver <= 1.78125;
    Volt8_driver <= 1.78125;
    wait for 2545.449 ns;
    Volt6_driver <= 4.3;
    Volt12_driver <= 4.3;
    Volt13_driver <= 4.3;
    Volt14_driver <= 4.3;
    Volt15_driver <= 4.3;
    Volt16_driver <= 4.3;
    Volt17_driver <= 4.3;
    Volt18_driver <= 4.3;
    wait for 5454.551 ns;
    Volt9_driver <= 10.0;
    Volt10_driver <= 10.0;
    wait for 3636.358 ns;
    Volt6_driver <= 4.35;
    Volt12_driver <= 4.35;
    Volt13_driver <= 4.35;
    Volt14_driver <= 4.35;
    Volt15_driver <= 4.35;
    Volt16_driver <= 4.35;
    Volt17_driver <= 4.35;
    Volt18_driver <= 4.35;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 5366.639 ns;
    Volt11_driver <= 5.0;
    wait for 2727.267 ns;
    Volt6_driver <= 4.4;
    Volt12_driver <= 4.4;
    Volt13_driver <= 4.4;
    Volt14_driver <= 4.4;
    Volt15_driver <= 4.4;
    Volt16_driver <= 4.4;
    Volt17_driver <= 4.4;
    Volt18_driver <= 4.4;
    wait for 3272.733 ns;
    Volt7_driver <= 1.75;
    Volt8_driver <= 1.75;
    wait for 5818.176 ns;
    Volt6_driver <= 4.45;
    Volt12_driver <= 4.45;
    Volt13_driver <= 4.45;
    Volt14_driver <= 4.45;
    Volt15_driver <= 4.45;
    Volt16_driver <= 4.45;
    Volt17_driver <= 4.45;
    Volt18_driver <= 4.45;
    wait for 9090.909 ns;
    Volt6_driver <= 4.5;
    Volt12_driver <= 4.5;
    Volt13_driver <= 4.5;
    Volt14_driver <= 4.5;
    Volt15_driver <= 4.5;
    Volt16_driver <= 4.5;
    Volt17_driver <= 4.5;
    Volt18_driver <= 4.5;
    wait for 9090.909 ns;
    Volt6_driver <= 4.5;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 1.75;
    Volt8_driver <= 1.75;
    Volt9_driver <= 10.0;
    Volt10_driver <= 10.0;
    Volt11_driver <= 4.0;
    Volt12_driver <= 4.5;
    Volt13_driver <= 4.5;
    Volt14_driver <= 4.5;
    Volt15_driver <= 4.5;
    Volt16_driver <= 4.5;
    Volt17_driver <= 4.5;
    Volt18_driver <= 4.5;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 80819.177 ns;
    Volt6_driver <= 4.5;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 1.825;
    Volt8_driver <= 1.825;
    Volt9_driver <= 9.85;
    Volt10_driver <= 9.85;
    Volt11_driver <= 4.025;
    Volt12_driver <= 4.45;
    Volt13_driver <= 4.45;
    Volt14_driver <= 4.45;
    Volt15_driver <= 4.45;
    Volt16_driver <= 4.45;
    Volt17_driver <= 4.45;
    Volt18_driver <= 4.45;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 80819.177 ns;
    Volt6_driver <= 4.5;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 1.9;
    Volt8_driver <= 1.9;
    Volt9_driver <= 9.7;
    Volt10_driver <= 9.7;
    Volt11_driver <= 4.05;
    Volt12_driver <= 4.4;
    Volt13_driver <= 4.4;
    Volt14_driver <= 4.4;
    Volt15_driver <= 4.4;
    Volt16_driver <= 4.4;
    Volt17_driver <= 4.4;
    Volt18_driver <= 4.4;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 80819.176 ns;
    Volt6_driver <= 4.5;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 1.975;
    Volt8_driver <= 1.975;
    Volt9_driver <= 9.55;
    Volt10_driver <= 9.55;
    Volt11_driver <= 4.075;
    Volt12_driver <= 4.35;
    Volt13_driver <= 4.35;
    Volt14_driver <= 4.35;
    Volt15_driver <= 4.35;
    Volt16_driver <= 4.35;
    Volt17_driver <= 4.35;
    Volt18_driver <= 4.35;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 80819.177 ns;
    Volt6_driver <= 4.5;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 2.05;
    Volt8_driver <= 2.05;
    Volt9_driver <= 9.4;
    Volt10_driver <= 9.4;
    Volt11_driver <= 4.1;
    Volt12_driver <= 4.3;
    Volt13_driver <= 4.3;
    Volt14_driver <= 4.3;
    Volt15_driver <= 4.3;
    Volt16_driver <= 4.3;
    Volt17_driver <= 4.3;
    Volt18_driver <= 4.3;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 80819.177 ns;
    Volt6_driver <= 4.5;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 2.125;
    Volt8_driver <= 2.125;
    Volt9_driver <= 9.25;
    Volt10_driver <= 9.25;
    Volt11_driver <= 4.125;
    Volt12_driver <= 4.25;
    Volt13_driver <= 4.25;
    Volt14_driver <= 4.25;
    Volt15_driver <= 4.25;
    Volt16_driver <= 4.25;
    Volt17_driver <= 4.25;
    Volt18_driver <= 4.25;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 80819.177 ns;
    Volt6_driver <= 4.5;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 2.2;
    Volt8_driver <= 2.2;
    Volt9_driver <= 9.1;
    Volt10_driver <= 9.1;
    Volt11_driver <= 4.15;
    Volt12_driver <= 4.2;
    Volt13_driver <= 4.2;
    Volt14_driver <= 4.2;
    Volt15_driver <= 4.2;
    Volt16_driver <= 4.2;
    Volt17_driver <= 4.2;
    Volt18_driver <= 4.2;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 80819.177 ns;
    Volt6_driver <= 4.5;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 2.275;
    Volt8_driver <= 2.275;
    Volt9_driver <= 8.95;
    Volt10_driver <= 8.95;
    Volt11_driver <= 4.175;
    Volt12_driver <= 4.15;
    Volt13_driver <= 4.15;
    Volt14_driver <= 4.15;
    Volt15_driver <= 4.15;
    Volt16_driver <= 4.15;
    Volt17_driver <= 4.15;
    Volt18_driver <= 4.15;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 80819.177 ns;
    Volt6_driver <= 4.5;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 2.35;
    Volt8_driver <= 2.35;
    Volt9_driver <= 8.8;
    Volt10_driver <= 8.8;
    Volt11_driver <= 4.2;
    Volt12_driver <= 4.1;
    Volt13_driver <= 4.1;
    Volt14_driver <= 4.1;
    Volt15_driver <= 4.1;
    Volt16_driver <= 4.1;
    Volt17_driver <= 4.1;
    Volt18_driver <= 4.1;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 80819.176 ns;
    Volt6_driver <= 4.5;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 2.425;
    Volt8_driver <= 2.425;
    Volt9_driver <= 8.65;
    Volt10_driver <= 8.65;
    Volt11_driver <= 4.225;
    Volt12_driver <= 4.05;
    Volt13_driver <= 4.05;
    Volt14_driver <= 4.05;
    Volt15_driver <= 4.05;
    Volt16_driver <= 4.05;
    Volt17_driver <= 4.05;
    Volt18_driver <= 4.05;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 80819.177 ns;
    Volt6_driver <= 4.5;
    wait for 3.0e-003 ns;
    Volt3_driver <= 2.5;
    wait for 2.0e-003 ns;
    Volt1_driver <= 2.5;
    wait for 1.0e-003 ns;
    Volt7_driver <= 2.5;
    Volt8_driver <= 2.5;
    Volt9_driver <= 8.5;
    Volt10_driver <= 8.5;
    Volt11_driver <= 4.25;
    Volt12_driver <= 4.0;
    Volt13_driver <= 4.0;
    Volt14_driver <= 4.0;
    Volt15_driver <= 4.0;
    Volt16_driver <= 4.0;
    Volt17_driver <= 4.0;
    Volt18_driver <= 4.0;
    wait for 996.997 ns;
    Volt4_driver <= 2.5;
    Volt5_driver <= 2.5;
    wait for 2.002 ns;
    Volt2_driver <= 2.5;
    wait for 81818.182 ns;
    wait;
  end process;
end STIMULATOR;

-- Test Bench wrapper for stimulus and Model Under Test
library ieee, std;
use ieee.std_logic_1164.all;
library syncad_vhdl_lib;
use syncad_vhdl_lib.TBDefinitions.all;
library fusion;
use fusion.analog_io.all;
-- Additional libraries used by Model Under Test.
library ieee;
use ieee.std_logic_unsigned.all;
-- End Additional libraries used by Model Under Test.

entity testbench is
end testbench;
architecture tbGeneratedCode of testbench is
  signal SYS_CLK : std_logic;
  signal SYS_RESET : std_logic;
  signal INIT_POWER_UP : std_logic;
  signal VAREF : std_logic;
  signal RESULT_AV5V : std_logic_vector(11 downto 0);
  signal RESULT_TEMP : std_logic_vector(11 downto 0);
  signal Volt1 : std_logic;
  signal Volt2 : std_logic;
  signal Volt3 : std_logic;
  signal Volt4 : std_logic;
  signal Volt5 : std_logic;
  signal Volt6 : std_logic;
  signal Volt7 : std_logic;
  signal Volt8 : std_logic;
  signal Volt9 : std_logic;
  signal Volt10 : std_logic;
  signal Volt11 : std_logic;
  signal Volt12 : std_logic;
  signal Volt13 : std_logic;
  signal Volt14 : std_logic;
  signal Volt15 : std_logic;
  signal Volt16 : std_logic;
  signal Volt17 : std_logic;
  signal Volt18 : std_logic;

  -- Stimulator instance

begin

  stimulus_0 : entity work.stimulus
    port map (SYS_CLK => SYS_CLK,
              SYS_RESET => SYS_RESET,
              INIT_POWER_UP => INIT_POWER_UP,
              VAREF => VAREF,
              RESULT_AV5V => RESULT_AV5V,
              RESULT_TEMP => RESULT_TEMP,
              Volt1 => Volt1,
              Volt2 => Volt2,
              Volt3 => Volt3,
              Volt4 => Volt4,
              Volt5 => Volt5,
              Volt6 => Volt6,
              Volt7 => Volt7,
              Volt8 => Volt8,
              Volt9 => Volt9,
              Volt10 => Volt10,
              Volt11 => Volt11,
              Volt12 => Volt12,
              Volt13 => Volt13,
              Volt14 => Volt14,
              Volt15 => Volt15,
              Volt16 => Volt16,
              Volt17 => Volt17,
              Volt18 => Volt18);

  -- Instantiation of Model Under Test.
  Top_0 : entity work.Top
    port map (SYS_CLK => SYS_CLK,
              SYS_RESET => SYS_RESET,
              INIT_POWER_UP => INIT_POWER_UP,
              Volt1 => Volt1,
              Volt2 => Volt2,
              Volt3 => Volt3,
              Volt4 => Volt4,
              Volt5 => Volt5,
              Volt6 => Volt6,
              Volt7 => Volt7,
              Volt8 => Volt8,
              Volt9 => Volt9,
              Volt10 => Volt10,
              Volt11 => Volt11,
              Volt12 => Volt12,
              Volt13 => Volt13,
              Volt14 => Volt14,
              Volt15 => Volt15,
              Volt16 => Volt16,
              Volt17 => Volt17,
              Volt18 => Volt18,
              VAREF => VAREF,
              RESULT_AV5V => RESULT_AV5V,
              RESULT_TEMP => RESULT_TEMP);
end tbGeneratedCode;
